# 
# Base de donnees: Garennes v0.6.12
# 

# ############################

# 
# Structure de la table `alias`
# 

DROP TABLE IF EXISTS `alias`;
CREATE TABLE IF NOT EXISTS `alias` (
  `id_alias` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id_alias`)
) ;

# 
# Contenu de la table `alias`
# 


# ############################

# 
# Structure de la table `appreciations`
# 

DROP TABLE IF EXISTS `appreciations`;
CREATE TABLE IF NOT EXISTS `appreciations` (
  `id_appreciation` int(11) NOT NULL auto_increment,
  `eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `professeur` int(11) NOT NULL default '0',
  `numen` varchar(13) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `periode` int(11) unsigned NOT NULL default '0',
  `texte` text NOT NULL,
  `colonne` int(11) NOT NULL default '0',
  `enregistrement` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_maj` datetime NOT NULL default '0000-00-00 00:00:00',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_appreciation`),
  UNIQUE KEY `id_appreciation_2` (`id_appreciation`),
  KEY `id_appreciation` (`id_appreciation`)
) ;

# 
# Contenu de la table `appreciations`
# 


# ############################

# 
# Structure de la table `autorisations`
# 

DROP TABLE IF EXISTS `autorisations`;
CREATE TABLE IF NOT EXISTS `autorisations` (
  `id_autorisation` int(11) unsigned NOT NULL auto_increment,
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `a01` tinyint(4) unsigned NOT NULL default '0',
  `a02` tinyint(4) unsigned NOT NULL default '0',
  `a03` tinyint(4) unsigned NOT NULL default '0',
  `a04` tinyint(4) unsigned NOT NULL default '0',
  `a05` tinyint(4) unsigned NOT NULL default '0',
  `a06` tinyint(4) unsigned NOT NULL default '0',
  `a07` tinyint(4) unsigned NOT NULL default '0',
  `a08` tinyint(4) unsigned NOT NULL default '0',
  `a09` tinyint(4) unsigned NOT NULL default '0',
  `a10` tinyint(4) unsigned NOT NULL default '0',
  `a11` tinyint(4) unsigned NOT NULL default '0',
  `a12` tinyint(4) unsigned NOT NULL default '0',
  `a13` tinyint(4) unsigned NOT NULL default '0',
  `a14` tinyint(4) unsigned NOT NULL default '0',
  `a15` tinyint(4) unsigned NOT NULL default '0',
  `a16` tinyint(4) unsigned NOT NULL default '0',
  `a17` tinyint(4) unsigned NOT NULL default '0',
  `a18` tinyint(4) unsigned NOT NULL default '0',
  `a19` tinyint(4) unsigned NOT NULL default '0',
  `a20` tinyint(4) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_autorisation`)
) ;

# 
# Contenu de la table `autorisations`
# 


# ############################

# 
# Structure de la table `biblio_appreciations`
# 

DROP TABLE IF EXISTS `biblio_appreciations`;
CREATE TABLE IF NOT EXISTS `biblio_appreciations` (
  `id_biblio_appreciation` int(11) unsigned NOT NULL auto_increment,
  `type_appreciation` int(11) unsigned NOT NULL default '0',
  `nom` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_biblio_appreciation`)
) ;

# 
# Contenu de la table `biblio_appreciations`
# 

INSERT INTO `biblio_appreciations` (`id_biblio_appreciation`, `type_appreciation`, `nom`) VALUES 
(1, 1, 'amélioration dans l`attitude'),
(2, 1, 'bonne attention'),
(3, 1, 'bonne attitude'),
(4, 1, 'bonne participation'),
(5, 1, 'difficultés d`attention'),
(6, 1, 'élève agité'),
(7, 1, 'élève consciencieux'),
(8, 1, 'élève cultivé'),
(9, 1, 'élève effacé'),
(10, 1, 'élève motivé'),
(11, 1, 'élève sensible'),
(12, 1, 'élève sérieux'),
(13, 1, 'élève sociable'),
(14, 1, 'élève sympathique'),
(15, 1, 'élève timide'),
(16, 1, 'élève turbulent'),
(17, 1, 'esprit de groupe'),
(18, 1, 'fait des efforts'),
(19, 1, 'goût pour la matière'),
(20, 1, 'manifeste peu d`intérêt pour la matière'),
(21, 1, 'manque de concentration'),
(22, 1, 'manque de maturité'),
(23, 1, 'manque de motivation'),
(24, 1, 'ne fait pas d`efforts'),
(25, 1, 'ne prend pas de responsabilités'),
(26, 1, 'pas d`esprit de groupe'),
(27, 1, 'perturbe la classe'),
(28, 1, 'peu attentif'),
(29, 1, 'prend des responsabilités'),
(30, 1, 'rythme trop lent'),
(31, 1, 'trop réservé'),
(32, 1, 'trop d`absences'),
(33, 1, 'trop de bavardages'),
(34, 2, 'accrochez-vous'),
(35, 2, 'analysez mieux vos erreurs'),
(36, 2, 'appliquez-vous à l`écrit'),
(37, 2, 'canalisez votre énergie'),
(38, 2, 'cessez vos perturbations'),
(39, 2, 'continuez'),
(40, 2, 'continuez les efforts'),
(41, 2, 'exploitez vos capacités'),
(42, 2, 'faites attention à l`orthographe'),
(43, 2, 'faites des efforts'),
(44, 2, 'faites plus de sport'),
(45, 2, 'félicitations'),
(46, 2, 'maîtrisez-vous davantage'),
(47, 2, 'ne négligez aucune activité'),
(48, 2, 'ne vous découragez pas'),
(49, 2, 'ne vous relâchez pas'),
(50, 2, 'participez plus'),
(51, 2, 'participez plus à l`oral'),
(52, 2, 'persévérez dans cette voie'),
(53, 2, 'plus de rigueur'),
(54, 2, 'plus de sérieux'),
(55, 2, 'prenez confiance en vous'),
(56, 2, 'prenez des initiatives'),
(57, 2, 'prenez plus de responsabilités'),
(58, 2, 'résultats à confirmer'),
(59, 2, 'soignez la présentation'),
(60, 2, 'soyez moins suffisant'),
(61, 2, 'travaillez davantage'),
(62, 2, 'travaillez plus à la maison'),
(63, 2, 'vous pouvez mieux faire'),
(64, 3, 'bilan décevant'),
(65, 3, 'bilan modeste'),
(66, 3, 'bilan positif'),
(67, 3, 'bilan satisfaisant'),
(68, 3, 'bon élève'),
(69, 3, 'bon niveau'),
(70, 3, 'bon semestre'),
(71, 3, 'bon trimestre'),
(72, 3, 'bons résultats'),
(73, 3, 'de réelles difficultés'),
(74, 3, 'dispensé'),
(75, 3, 'ensemble correct'),
(76, 3, 'ensemble faible'),
(77, 3, 'ensemble satisfaisant'),
(78, 3, 'excellent'),
(79, 3, 'juste passable'),
(80, 3, 'quelques lacunes à combler'),
(81, 3, 'redoublement peu profitable'),
(82, 3, 'redoublement profitable'),
(83, 3, 'résultats alarmants'),
(84, 3, 'résultats encourageants'),
(85, 3, 'résultats insuffisants'),
(86, 3, 'résultats irréguliers'),
(87, 3, 'résultats moyens'),
(88, 3, 'résultats passables'),
(89, 3, 'résultats satisfaisants'),
(90, 3, 'résultats très faibles'),
(91, 3, 'vit sur ses acquis'),
(92, 4, 'bon travail'),
(93, 4, 'de la bonne volonté'),
(94, 4, 'des exercices non rendus'),
(95, 4, 'des qualités à l`oral'),
(96, 4, 'des qualités à l`écrit'),
(97, 4, 'des qualités bien exploitées'),
(98, 4, 'des qualités d`analyse'),
(99, 4, 'des qualités mal exploitées'),
(100, 4, 'écrit mal maîtrisé'),
(101, 4, 'élève paresseux'),
(102, 4, 'en net progrès'),
(103, 4, 'en net recul'),
(104, 4, 'leçons non apprises'),
(105, 4, 'manque d`assurance'),
(106, 4, 'manque de concentration'),
(107, 4, 'manque de travail personnel'),
(108, 4, 'manque évident de travail'),
(109, 4, 'mauvaise volonté'),
(110, 4, 'méthodes assimilées'),
(111, 4, 'méthodes non assimilées'),
(112, 4, 'oral mal maîtrisé'),
(113, 4, 'peut mieux faire'),
(114, 4, 'se contente de peu'),
(115, 4, 'travail bâclé'),
(116, 4, 'travail consciencieux'),
(117, 4, 'travail irrégulier'),
(118, 4, 'travail peu soigné'),
(119, 4, 'travail régulier'),
(120, 4, 'travail soigné'),
(121, 4, 'travail superficiel'),
(122, 4, 'travaille avec méthode'),
(123, 4, 'travaille efficacement');

# ############################

# 
# Structure de la table `cahier_devoirs`
# 

DROP TABLE IF EXISTS `cahier_devoirs`;
CREATE TABLE IF NOT EXISTS `cahier_devoirs` (
  `id_cahier_devoir` int(11) unsigned NOT NULL auto_increment,
  `cahier_type` int(11) NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `heure_debut` time NOT NULL default '00:00:00',
  `duree` int(11) unsigned default '0',
  `id_service_prof` int(11) unsigned NOT NULL default '0',
  `date_entree` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_maj` datetime NOT NULL default '0000-00-00 00:00:00',
  `groupe` text NOT NULL,
  `texte` text NOT NULL,
  `publication` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_cahier_devoir`)
) ;

# 
# Contenu de la table `cahier_devoirs`
# 


# ############################

# 
# Structure de la table `cahier_documents`
# 

DROP TABLE IF EXISTS `cahier_documents`;
CREATE TABLE IF NOT EXISTS `cahier_documents` (
  `id_cahier_document` int(11) unsigned NOT NULL auto_increment,
  `id_cahier_texte` int(11) unsigned NOT NULL default '0',
  `doc_type` int(11) NOT NULL,
  `titre` text NOT NULL,
  `document` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `taille` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_cahier_document`)
) ;

# 
# Contenu de la table `cahier_documents`
# 


# ############################

# 
# Structure de la table `cahier_textes`
# 

DROP TABLE IF EXISTS `cahier_textes`;
CREATE TABLE IF NOT EXISTS `cahier_textes` (
  `id_cahier_texte` int(11) unsigned NOT NULL auto_increment,
  `cahier_type` int(11) NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `heure_debut` time NOT NULL default '00:00:00',
  `duree` int(11) unsigned default '0',
  `id_service_prof` int(11) unsigned NOT NULL default '0',
  `date_entree` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_maj` datetime NOT NULL default '0000-00-00 00:00:00',
  `groupe` text NOT NULL,
  `texte` text NOT NULL,
  `publication` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_cahier_texte`)
) ;

# 
# Contenu de la table `cahier_textes`
# 


# ############################

# 
# Structure de la table `cahier_type_documents`
# 

DROP TABLE IF EXISTS `cahier_type_documents`;
CREATE TABLE IF NOT EXISTS `cahier_type_documents` (
  `id_cahier_type_document` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(200) NOT NULL default '',
  `extension` varchar(50) NOT NULL default '',
  `commentaires` text NOT NULL,
  `actif` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_cahier_type_document`)
) ;

# 
# Contenu de la table `cahier_type_documents`
# 

INSERT INTO `cahier_type_documents` (`id_cahier_type_document`, `nom`, `extension`, `commentaires`, `actif`) VALUES 
(1, 'Donn&eacute;es pr&eacute;-impression PDF', 'pdf', 'Recommand&eacute;. RIT0021', 1),
(2, 'Images PNG', 'png', 'Obligatoire. RIT0003 (v1.2)', 1),
(3, 'Images GIF', 'gif', 'D&eacute;conseill&eacute;. RIT0005', 0),
(4, 'Images JPEG', 'jpg', 'Recommandf&eacute;. RIT0006', 1),
(5, 'Images EPS', 'eps', 'D&eacute;conseill&eacute;. RIT0009', 0),
(6, 'Images PICT', 'pic', 'D&eacute;conseill&eacute;. RIT0009', 0),
(7, 'Images BMP', 'bmp', 'D&eacute;conseill&eacute;. RIT0009', 0),
(8, 'Images PCX', 'pcx', 'D&eacute;conseill&eacute;. RIT0009', 0),
(9, 'Animation Flash', 'swf', 'Recommand&eacute;. RIT0011', 1),
(10, 'Son MP3', 'mp3', 'Recommand&eacute;. RIT0012', 1),
(11, 'Son WAV', 'wav', 'D&eacute;conseill&eacute;. RIT0013', 0),
(12, 'Son WMA', 'wma', 'D&eacute;conseill&eacute;. RIT0014', 0),
(13, 'Vid&eacute;o MPEG-2', 'mpg', 'Obligatoire. RIT0015', 1),
(14, 'Vid&eacute;o MPEG-4', 'mp4', 'Obligatoire. RIT0082', 1),
(15, 'Donn&eacute;es HTML 4.01', 'html', 'Recommand&eacute;. RIT0022', 1),
(16, 'Bureautique OpenDocument Texte ODT', 'odt', 'Obligatoire. RIT0026', 1),
(17, 'Bureautique OpenDocument Classeur ODS', 'ods', 'Obligatoire. RIT0026', 1),
(18, 'Bureautique OpenDocument Pr&eacute;sentation ODP', 'odp', 'Obligatoire. RIT0026', 1),
(19, 'Bureautique OpenDocument Dessin ODG', 'odg', 'Obligatoire. RIT0026', 1),
(20, 'Bureautique OpenDocument Base de Donn&eacute;es ODB', 'odb', 'Obligatoire. RIT0026', 1),
(21, 'Bureautique OpenDocument Formule ODF', 'odf', 'Obligatoire. RIT0026', 1),
(22, 'Donn&eacute;es XML', 'xml', 'Obligatoire. RIT0030-RIT0031', 1);

# ############################

# 
# Structure de la table `calcul_moyenne`
# 

DROP TABLE IF EXISTS `calcul_moyenne`;
CREATE TABLE IF NOT EXISTS `calcul_moyenne` (
  `id_calcul_moyenne` int(11) unsigned NOT NULL auto_increment,
  `classe` int(11) unsigned NOT NULL default '0',
  `periode` int(11) unsigned NOT NULL default '0',
  `ok` int(11) unsigned NOT NULL default '0',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `service_classe` int(11) unsigned NOT NULL default '0',
  `enregistrement` datetime NOT NULL default '0000-00-00 00:00:00',
  `modification` datetime NOT NULL default '0000-00-00 00:00:00',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_calcul_moyenne`)
) ;

# 
# Contenu de la table `calcul_moyenne`
# 


# ############################

# 
# Structure de la table `categories_disciplines`
# 

DROP TABLE IF EXISTS `categories_disciplines`;
CREATE TABLE IF NOT EXISTS `categories_disciplines` (
  `id_categorie_discipline` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id_categorie_discipline`)
) ;

# 
# Contenu de la table `categories_disciplines`
# 


# ############################

# 
# Structure de la table `champs`
# 

DROP TABLE IF EXISTS `champs`;
CREATE TABLE IF NOT EXISTS `champs` (
  `id_champ` int(11) unsigned NOT NULL auto_increment,
  `code_champ` varchar(200) NOT NULL default '',
  `commentaire` varchar(200) NOT NULL default '',
  `type` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_champ`)
) ;

# 
# Contenu de la table `champs`
# 

INSERT INTO `champs` (`id_champ`, `code_champ`, `commentaire`, `type`) VALUES 
(1, '<NOTE_ELEVE>', 'Note unique de l''&eacute;l&egrave;ve.', 1),
(2, '<MOYENNE_ELEVE>', 'Moyenne de l''&eacute;l&egrave;ve pour la discipline.', 2),
(3, '<MOYENNE_CLASSE>', 'Moyenne de la classe pour la discipline.', 3),
(4, '<MINIMUM_CLASSE>', 'Minimum de la classe pour la discipline.', 4),
(5, '<MAXIMUM_CLASSE>', 'Maximum de la classe pour la discipline.', 5),
(6, '<NOM_DISCIPLINE_LONG>', 'Nom long de la discipline (jusqu''&agrave; 40 caract&egrave;res).', 6),
(7, '<NOM_DISCIPLINE_COURT>', 'Nom court de la discipline (jusqu''&agrave; 20 caract&egraves;res).', 7),
(8, '<NOM_DISCIPLINE_BREF>', 'Nom bref de la discipline (jusqu''&agrave; 5 caract&egraves;res).', 8);

# ############################

# 
# Structure de la table `classe_virtuelle`
# 

DROP TABLE IF EXISTS `classe_virtuelle`;
CREATE TABLE IF NOT EXISTS `classe_virtuelle` (
  `id_classe_virtuelle` int(11) unsigned NOT NULL auto_increment,
  `type_classe_virtuelle` int(11) unsigned NOT NULL default '0',
  `service_classe` int(11) unsigned NOT NULL default '0',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_classe_virtuelle`),
  UNIQUE KEY `id_classe_virtuelle_2` (`id_classe_virtuelle`),
  KEY `id_classe_virtuelle` (`id_classe_virtuelle`)
) ;

# 
# Contenu de la table `classe_virtuelle`
# 


# ############################

# 
# Structure de la table `classement`
# 

DROP TABLE IF EXISTS `classement`;
CREATE TABLE IF NOT EXISTS `classement` (
  `id_classement` int(11) unsigned NOT NULL auto_increment,
  `id_classe` int(11) unsigned NOT NULL default '0',
  `id_service_classe` int(11) unsigned NOT NULL default '0',
  `numero` int(11) unsigned NOT NULL default '0',
  `texte` varchar(50) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_classement`)
) ;

# 
# Contenu de la table `classement`
# 


# ############################

# 
# Structure de la table `classes`
# 

DROP TABLE IF EXISTS `classes`;
CREATE TABLE IF NOT EXISTS `classes` (
  `id_classe` int(11) NOT NULL auto_increment,
  `nom` varchar(20) NOT NULL default '',
  `nom_bref` varchar(5) NOT NULL default '',
  `id_prof_princ` int(11) unsigned NOT NULL default '0',
  `numen_prof_princ` varchar(13) NOT NULL default '0',
  `etablissement` int(11) unsigned NOT NULL default '1',
  `signature` int(11) unsigned NOT NULL default '1',
  `cpe` int(11) unsigned NOT NULL default '0',
  `periode` int(11) unsigned NOT NULL default '1',
  `num_periode` int(11) unsigned NOT NULL default '1',
  `coefficient` int(11) unsigned NOT NULL default '0',
  `coefficient_vs` float(10,2) unsigned NOT NULL default '1.00',
  `examen` int(11) unsigned NOT NULL default '0',
  `classement` int(11) unsigned NOT NULL default '0',
  `type_saisie_cpe` int(11) default '-1',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_classe`),
  UNIQUE KEY `id_classes_2` (`id_classe`),
  KEY `id_classes` (`id_classe`)
) ;

# 
# Contenu de la table `classes`
# 


# ############################

# 
# Structure de la table `codes_disciplines`
# 

DROP TABLE IF EXISTS `codes_disciplines`;
CREATE TABLE IF NOT EXISTS `codes_disciplines` (
  `id_code_discipline` int(11) unsigned NOT NULL auto_increment,
  `code` varchar(8) NOT NULL default '',
  `id_categorie_discipline` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_code_discipline`)
) ;

# 
# Contenu de la table `codes_disciplines`
# 


# ############################

# 
# Structure de la table `configuration`
# 

DROP TABLE IF EXISTS `configuration`;
CREATE TABLE IF NOT EXISTS `configuration` (
  `id_configuration` int(11) unsigned NOT NULL auto_increment,
  `identification` varchar(250) NOT NULL default '',
  `nom` varchar(250) NOT NULL default '',
  `indice` varchar(250) NOT NULL default '',
  `valeur` varchar(250) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_configuration`)
) ;

# 
# Contenu de la table `configuration`
# 


# ############################

# 
# Structure de la table `controles`
# 

DROP TABLE IF EXISTS `controles`;
CREATE TABLE IF NOT EXISTS `controles` (
  `id_controle` int(11) NOT NULL auto_increment,
  `date` date default NULL,
  `classe` int(11) unsigned default NULL,
  `code_classe` varchar(5) NOT NULL default '',
  `professeur` int(11) unsigned default NULL,
  `numen` varchar(13) NOT NULL default '',
  `discipline` int(11) unsigned default NULL,
  `code_disc` varchar(6) NOT NULL default '',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `description` text,
  `coefficient` float(10,2) unsigned NOT NULL default '1.00',
  `periode` int(11) unsigned NOT NULL default '1',
  `enregistrement` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_maj` datetime NOT NULL default '0000-00-00 00:00:00',
  `examen` float(10,2) unsigned NOT NULL default '1.00',
  `max` int(11) unsigned NOT NULL default '0',
  `id` varchar(32) NOT NULL default '',
  `sous_matiere` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_controle`),
  UNIQUE KEY `id_controle` (`id_controle`),
  KEY `id_controle_2` (`id_controle`)
) ;

# 
# Contenu de la table `controles`
# 


# ############################

# 
# Structure de la table `dictionnaire`
# 

DROP TABLE IF EXISTS `dictionnaire`;
CREATE TABLE IF NOT EXISTS `dictionnaire` (
  `mot` varchar(30) NOT NULL default '',
  `id_utilisateur` int(11) unsigned NOT NULL default '0'
) ;

# 
# Contenu de la table `dictionnaire`
# 


# ############################

# 
# Structure de la table `disciplines`
# 

DROP TABLE IF EXISTS `disciplines`;
CREATE TABLE IF NOT EXISTS `disciplines` (
  `id_discipline` int(11) unsigned NOT NULL auto_increment,
  `type_discipline` int(11) NOT NULL default '0',
  `type_moyenne` int(11) NOT NULL default '0',
  `type_arrondi` int(11) NOT NULL default '0',
  `id_type_discipline` int(11) unsigned NOT NULL default '0',
  `nom_long` varchar(40) default NULL,
  `nom_court` varchar(20) NOT NULL default '',
  `nom_bref` varchar(5) default NULL,
  `code` varchar(6) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_discipline`),
  UNIQUE KEY `id_discipline` (`id_discipline`),
  KEY `id_discipline_2` (`id_discipline`)
) ;

# 
# Contenu de la table `disciplines`
# 


# ############################

# 
# Structure de la table `droits_menu_classe`
# 

DROP TABLE IF EXISTS `droits_menu_classe`;
CREATE TABLE IF NOT EXISTS `droits_menu_classe` (
  `id_droit_menu_classe` int(11) unsigned NOT NULL auto_increment,
  `id_menu_classe` int(11) unsigned NOT NULL default '0',
  `droit` int(4) unsigned NOT NULL default '0',
  `id_utilisateur` int(11) unsigned NOT NULL default '0',
  `actif_debut` date NOT NULL default '0000-00-00',
  `actif_fin` date NOT NULL default '0000-00-00',
  `periodicite` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_droit_menu_classe`)
) ;

# 
# Contenu de la table `droits_menu_classe`
# 

INSERT INTO `droits_menu_classe` (`id_droit_menu_classe`, `id_menu_classe`, `droit`, `id_utilisateur`, `actif_debut`, `actif_fin`, `periodicite`) VALUES 
(1, 1, 1, 0, '0000-00-00', '0000-00-00', 0),
(2, 2, 1, 0, '0000-00-00', '0000-00-00', 0),
(3, 3, 1, 0, '0000-00-00', '0000-00-00', 0),
(4, 4, 1, 0, '0000-00-00', '0000-00-00', 0),
(5, 5, 1, 0, '0000-00-00', '0000-00-00', 0),
(6, 6, 1, 0, '0000-00-00', '0000-00-00', 0),
(7, 7, 2, 0, '0000-00-00', '0000-00-00', 0),
(8, 8, 1, 0, '0000-00-00', '0000-00-00', 0),
(9, 9, 2, 0, '0000-00-00', '0000-00-00', 0);

# ############################

# 
# Structure de la table `eleves`
# 

DROP TABLE IF EXISTS `eleves`;
CREATE TABLE IF NOT EXISTS `eleves` (
  `id_eleve` int(11) unsigned NOT NULL auto_increment,
  `exterieur` int(11) NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `repere3` int(11) unsigned NOT NULL default '0',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `sexe` char(1) NOT NULL default '0',
  `nom` varchar(25) NOT NULL default '',
  `prenoms` varchar(25) NOT NULL default '',
  `date_naissance` date NOT NULL default '0000-00-00',
  `redoublant` char(1) NOT NULL default '',
  `regime` int(10) unsigned NOT NULL default '0',
  `login` varchar(200) NOT NULL default '',
  `passe` varchar(200) NOT NULL default '',
  `photo` tinytext NOT NULL,
  `civilite_parents` varchar(20) NOT NULL default '',
  `nom_parents` varchar(25) NOT NULL default '',
  `prenom_parents` varchar(25) NOT NULL default '',
  `adresse1` varchar(32) NOT NULL default '',
  `adresse2` varchar(32) NOT NULL default '',
  `cp` varchar(5) NOT NULL default '',
  `ville` varchar(27) NOT NULL default '',
  `telephone` varchar(50) NOT NULL default '',
  `telephone_travail` varchar(50) NOT NULL default '',
  `theme` int(11) unsigned NOT NULL default '0',
  `lieu_naissance` varchar(30) NOT NULL default '',
  `etablissement_precedent` varchar(8) NOT NULL default '',
  `civilite_parents_p2` varchar(20) NOT NULL default '',
  `nom_parents_p2` varchar(25) NOT NULL default '',
  `prenom_parents_p2` varchar(25) NOT NULL default '',
  `adresse1_p2` varchar(32) NOT NULL default '',
  `adresse2_p2` varchar(32) NOT NULL default '',
  `cp_p2` varchar(5) NOT NULL default '',
  `ville_p2` varchar(30) NOT NULL default '',
  `telephone_p2` varchar(50) NOT NULL default '',
  `telephone_travail_p2` varchar(50) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_eleve`),
  UNIQUE KEY `id_eleve_2` (`id_eleve`),
  KEY `id_eleve` (`id_eleve`)
) ;

# 
# Contenu de la table `eleves`
# 


# ############################

# 
# Structure de la table `etablissements`
# 

DROP TABLE IF EXISTS `etablissements`;
CREATE TABLE IF NOT EXISTS `etablissements` (
  `id_etablissement` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(70) NOT NULL default '',
  `adresse` varchar(35) default NULL,
  `cp` varchar(5) default NULL,
  `ville` varchar(25) default NULL,
  `telephone` varchar(20) NOT NULL default '',
  `fax` varchar(20) NOT NULL default '',
  `numero` varchar(8) NOT NULL default '',
  `mel` varchar(30) NOT NULL default '',
  `academie` varchar(30) NOT NULL default '',
  `licence` varchar(100) NOT NULL default '',
  `cahier_textes` int(4) unsigned NOT NULL default '0',
  `debut_cahier_textes` date NOT NULL default '0000-00-00',
  `fin_cahier_textes` date NOT NULL default '0000-00-00',
  `heure_debut` time NOT NULL default '00:00:00',
  `heure_fin` time NOT NULL default '00:00:00',
  `heure_pas` int(11) unsigned NOT NULL default '0',
  `cahier_public` int(4) NOT NULL default '0',
  `visu_devoirs` int(11) unsigned NOT NULL default '0',
  `taille_fichier` int(11) unsigned NOT NULL default '0',
  `taille_espace` int(11) unsigned NOT NULL default '0',
  `rep_stockage` text NOT NULL,
  `nombre_chiffres` int(11) unsigned NOT NULL default '0',
  `coefficient` int(11) unsigned NOT NULL default '0',
  `signature` int(11) unsigned NOT NULL default '0',
  `moyenne` int(11) unsigned NOT NULL default '0',
  `moyenne_periode` int(11) default '0',
  `max` int(11) unsigned NOT NULL default '0',
  `aff_moy_nc` int(4) unsigned NOT NULL default '0',
  `aff_moy_c` int(4) unsigned NOT NULL default '0',
  `aff_nc` int(11) unsigned NOT NULL default '0',
  `aff_c` int(11) unsigned NOT NULL default '0',
  `seuil_bas` float(10,2) NOT NULL default '0.00',
  `seuil_haut` float(10,2) NOT NULL default '0.00',
  `aff_evolution` int(11) unsigned NOT NULL default '0',
  `aff_nombre_notes` int(11) unsigned NOT NULL default '0',
  `bulletin_cpe` int(11) unsigned NOT NULL default '0',
  `examen_blanc` int(11) unsigned NOT NULL default '0',
  `entete_bulletins` int(11) unsigned NOT NULL default '0',
  `entete_releves` int(11) unsigned NOT NULL default '0',
  `imprimer_logo_bulletins` int(11) unsigned NOT NULL default '0',
  `imprimer_logo_releves` int(11) unsigned NOT NULL default '0',
  `logo_bulletins` varchar(200) NOT NULL default '',
  `logo_releves` varchar(200) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_etablissement`),
  UNIQUE KEY `id_etablissement` (`id_etablissement`),
  KEY `id_etablissement_2` (`id_etablissement`)
) ;

# 
# Contenu de la table `etablissements`
# 


# ############################

# 
# Structure de la table `fetes`
# 

DROP TABLE IF EXISTS `fetes`;
CREATE TABLE IF NOT EXISTS `fetes` (
  `id_fete` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL default '',
  `date` date NOT NULL default '0000-00-00',
  KEY `id_fete` (`id_fete`)
) ;

# 
# Contenu de la table `fetes`
# 

INSERT INTO `fetes` (`id_fete`, `nom`, `date`) VALUES 
(1, 'Jour de l`an', '2004-01-01'),
(2, 'Basile', '2004-01-02'),
(3, 'Geneviève', '2004-01-03'),
(4, 'Odilon', '2004-01-04'),
(5, 'Edouard', '2004-01-05'),
(6, 'Mélaine', '2004-01-06'),
(7, 'Raymond', '2004-01-07'),
(8, 'Lucien', '2004-01-08'),
(9, 'Alix', '2004-01-09'),
(10, 'Guillaume', '2004-01-10'),
(11, 'Paulin', '2004-01-11'),
(12, 'Tatiana', '2004-01-12'),
(13, 'Yvette', '2004-01-13'),
(14, 'Nina', '2004-01-14'),
(15, 'Rémi', '2004-01-15'),
(16, 'Marcel', '2004-01-16'),
(17, 'Roseline', '2004-01-17'),
(18, 'Prisca', '2004-01-18'),
(19, 'Marius', '2004-01-19'),
(20, 'Sébastien', '2004-01-20'),
(21, 'Agnès', '2004-01-21'),
(22, 'Vincent', '2004-01-22'),
(23, 'Barnard', '2004-01-23'),
(24, 'François de Sal', '2004-01-24'),
(25, 'Convention St P', '2004-01-25'),
(26, 'Paule', '2004-01-26'),
(27, 'Angèle', '2004-01-27'),
(28, 'Thomas d`Aquin', '2004-01-28'),
(29, 'Gildas', '2004-01-29'),
(30, 'Martine', '2004-01-30'),
(31, 'Marcelle', '2004-01-31'),
(32, 'Ella', '2004-02-01'),
(33, 'Présentation du', '2004-02-02'),
(34, 'Blaise', '2004-02-03'),
(35, 'Véronique', '2004-02-04'),
(36, 'Agathe', '2004-02-05'),
(37, 'Gaston', '2004-02-06'),
(38, 'Eugénie', '2004-02-07'),
(39, 'Jacqueline', '2004-02-08'),
(40, 'Apolline', '2004-02-09'),
(41, 'Arnaud', '2004-02-10'),
(42, 'N.-D. de Lourde', '2004-02-11'),
(43, 'Félix', '2004-02-12'),
(44, 'Béatrice', '2004-02-13'),
(45, 'Valentin', '2004-02-14'),
(46, 'Claude', '2004-02-15'),
(47, 'Julienne', '2004-02-16'),
(48, 'Alexis', '2004-02-17'),
(49, 'Bernadette', '2004-02-18'),
(50, 'Gabin', '2004-02-19'),
(51, 'Aimée', '2004-02-20'),
(52, 'Pierre Damien', '2004-02-21'),
(53, 'Isabelle', '2004-02-22'),
(54, 'Lazare', '2004-02-23'),
(55, 'Modeste', '2004-02-24'),
(56, 'Roméo', '2004-02-25'),
(57, 'Nestor', '2004-02-26'),
(58, 'Honorine', '2004-02-27'),
(59, 'Romain', '2004-02-28'),
(61, 'Aubin', '2004-03-01'),
(62, 'Charles le bon', '2004-03-02'),
(63, 'Guénolé', '2004-03-03'),
(64, 'Casimir', '2004-03-04'),
(65, 'Olive', '2004-03-05'),
(66, 'Colette', '2004-03-06'),
(67, 'Félicité', '2004-03-07'),
(68, 'Jean de Dieu', '2004-03-08'),
(69, 'Françoise', '2004-03-09'),
(70, 'Vivien', '2004-03-10'),
(71, 'Rosine', '2004-03-11'),
(72, 'Justine', '2004-03-12'),
(73, 'Rodrigue', '2004-03-13'),
(74, 'Mathilde', '2004-03-14'),
(75, 'Louise', '2004-03-15'),
(76, 'Bénédicte', '2004-03-16'),
(77, 'Patrice', '2004-03-17'),
(78, 'Cyrille', '2004-03-18'),
(79, 'Joseph', '2004-03-19'),
(80, 'Herbert', '2004-03-20'),
(81, 'Fawzi', '2004-03-21'),
(81, 'Clémence', '2004-03-21'),
(82, 'Léa', '2004-03-22'),
(83, 'Victorien', '2004-03-23'),
(84, 'Catherine de Su', '2004-03-24'),
(85, 'Annonciation', '2004-03-25'),
(86, 'Larissa', '2004-03-26'),
(87, 'Rameaux', '2004-03-27'),
(87, 'Habib', '2004-03-27'),
(88, 'Gontran', '2004-03-28'),
(89, 'Gwladys', '2004-03-29'),
(90, 'Amédée', '2004-03-30'),
(91, 'Benjamin', '2004-03-31'),
(92, 'Hugues', '2004-04-01'),
(93, 'Sandrine', '2004-04-02'),
(94, 'Richard', '2004-04-03'),
(95, 'Isidore', '2004-04-04'),
(96, 'Irène', '2004-04-05'),
(97, 'Marcelin', '2004-04-06'),
(98, 'Jean baptiste l', '2004-04-07'),
(99, 'Julie', '2004-04-08'),
(100, 'Gautier', '2004-04-09'),
(101, 'Fulbert', '2004-04-10'),
(102, 'Stanislas', '2004-04-11'),
(103, 'Jules', '2004-04-12'),
(104, 'Ida', '2004-04-13'),
(105, 'Maxime', '2004-04-14'),
(106, 'Paterne', '2004-04-15'),
(107, 'Benoît J-Labre', '2004-04-16'),
(108, 'Anicet', '2004-04-17'),
(109, 'Parfait', '2004-04-18'),
(110, 'Emma', '2004-04-19'),
(111, 'Odette', '2004-04-20'),
(112, 'Anselme', '2004-04-21'),
(113, 'Alexandre', '2004-04-22'),
(114, 'Georges', '2004-04-23'),
(115, 'Fidèle', '2004-04-24'),
(116, 'Marc', '2004-04-25'),
(117, 'Alida', '2004-04-26'),
(118, 'Zita', '2004-04-27'),
(119, 'Valérie', '2004-04-28'),
(120, 'Catherine de S.', '2004-04-29'),
(121, 'Robert', '2004-04-30'),
(122, 'Fête du travail', '2004-05-01'),
(123, 'Boris', '2004-05-02'),
(124, 'Philippe', '2004-05-03'),
(125, 'Sylvain', '2004-05-04'),
(126, 'Judith', '2004-05-05'),
(127, 'Prudence', '2004-05-06'),
(128, 'Gisèle', '2004-05-07'),
(129, 'Armistice 1945', '2004-05-08'),
(130, 'Pacôme', '2004-05-09'),
(131, 'Solange', '2004-05-10'),
(132, 'Estelle', '2004-05-11'),
(133, 'Achille', '2004-05-12'),
(134, 'Rolande', '2004-05-13'),
(135, 'Matthias', '2004-05-14'),
(136, 'Denise', '2004-05-15'),
(137, 'Honoré', '2004-05-16'),
(138, 'Pascal', '2004-05-17'),
(139, 'Eric', '2004-05-18'),
(140, 'Yves', '2004-05-19'),
(141, 'Bernardin', '2004-05-20'),
(142, 'Constantin', '2004-05-21'),
(143, 'Emile', '2004-05-22'),
(144, 'Didier', '2004-05-23'),
(145, 'Donatien', '2004-05-24'),
(146, 'Sophie', '2004-05-25'),
(147, 'Bérenger', '2004-05-26'),
(148, 'Augustin de C.', '2004-05-27'),
(149, 'Germain', '2004-05-28'),
(150, 'Aymard', '2004-05-29'),
(151, 'Ferdinand', '2004-05-30'),
(152, 'Visitation', '2004-05-31'),
(153, 'Justin', '2004-06-01'),
(154, 'Blandine', '2004-06-02'),
(155, 'Kévin', '2004-06-03'),
(156, 'Clotilde', '2004-06-04'),
(157, 'Igor', '2004-06-05'),
(158, 'Norbert', '2004-06-06'),
(159, 'Gilbert', '2004-06-07'),
(160, 'Médard', '2004-06-08'),
(161, 'Diane', '2004-06-09'),
(162, 'Landry', '2004-06-10'),
(163, 'Barnabé', '2004-06-11'),
(164, 'Guy', '2004-06-12'),
(165, 'Antoine de Pado', '2004-06-13'),
(166, 'Elisée', '2004-06-14'),
(167, 'Germaine', '2004-06-15'),
(168, 'Jean-François R', '2004-06-16'),
(169, 'Hervé', '2004-06-17'),
(170, 'Léonce', '2004-06-18'),
(171, 'Romuald', '2004-06-19'),
(172, 'Sylvère', '2004-06-20'),
(173, 'Rodolphe', '2004-06-21'),
(174, 'Alban', '2004-06-22'),
(175, 'Audrey', '2004-06-23'),
(176, 'Jean-Baptiste', '2004-06-24'),
(177, 'Prosper', '2004-06-25'),
(178, 'Anthelme', '2004-06-26'),
(179, 'Fernand', '2004-06-27'),
(180, 'Irénée', '2004-06-28'),
(181, 'Pierre', '2004-06-29'),
(182, 'Martial', '2004-06-30'),
(183, 'Thierry', '2004-07-01'),
(184, 'Martinien', '2004-07-02'),
(185, 'Thomas', '2004-07-03'),
(186, 'Florent', '2004-07-04'),
(187, 'Antoine', '2004-07-05'),
(188, 'Mariette', '2004-07-06'),
(189, 'Raoul', '2004-07-07'),
(190, 'Thibaut', '2004-07-08'),
(191, 'Amandine', '2004-07-09'),
(192, 'Ulrich', '2004-07-10'),
(193, 'Benoît', '2004-07-11'),
(194, 'Olivier', '2004-07-12'),
(195, 'Henri', '2004-07-13'),
(196, 'Fête Nationale', '2004-07-14'),
(197, 'Donald', '2004-07-15'),
(198, 'Notre-Dame Mt-C', '2004-07-16'),
(199, 'Charlotte', '2004-07-17'),
(200, 'Frédéric', '2004-07-18'),
(201, 'Arsène', '2004-07-19'),
(202, 'Marina', '2004-07-20'),
(203, 'Victor', '2004-07-21'),
(204, 'Marie-Madeleine', '2004-07-22'),
(205, 'Brigitte', '2004-07-23'),
(206, 'Christine', '2004-07-24'),
(207, 'Jacques', '2004-07-25'),
(208, 'Anne', '2004-07-26'),
(209, 'Nathalie', '2004-07-27'),
(209, 'Joa', '2004-07-27'),
(210, 'Samson', '2004-07-28'),
(211, 'Marthe', '2004-07-29'),
(212, 'Marie-Josette', '2004-07-30'),
(213, 'Ignace', '2004-07-31'),
(214, 'Alphonse', '2004-08-01'),
(215, 'Julien', '2004-08-02'),
(216, 'Lydie', '2004-08-03'),
(217, 'Jean-Marie', '2004-08-04'),
(218, 'Abel', '2004-08-05'),
(219, 'Transfiguration', '2004-08-06'),
(220, 'Gaétan', '2004-08-07'),
(221, 'Dominique', '2004-08-08'),
(222, 'Amour', '2004-08-09'),
(223, 'Laurent', '2004-08-10'),
(224, 'Claire', '2004-08-11'),
(225, 'Clarisse', '2004-08-12'),
(226, 'Hippolyte', '2004-08-13'),
(227, 'Evrard', '2004-08-14'),
(228, 'Assomption', '2004-08-15'),
(229, 'Armel', '2004-08-16'),
(230, 'Hyacinthe', '2004-08-17'),
(231, 'Hélène', '2004-08-18'),
(232, 'Jean Eudes', '2004-08-19'),
(233, 'Bernard', '2004-08-20'),
(234, 'Christophe', '2004-08-21'),
(235, 'Fabrice', '2004-08-22'),
(236, 'Rose', '2004-08-23'),
(237, 'Barthélemy', '2004-08-24'),
(238, 'Louis', '2004-08-25'),
(239, 'Natacha', '2004-08-26'),
(240, 'Monique', '2004-08-27'),
(241, 'Augustin', '2004-08-28'),
(242, 'Sabine', '2004-08-29'),
(243, 'Fiacre', '2004-08-30'),
(244, 'Aristide', '2004-08-31'),
(245, 'Gilles', '2004-09-01'),
(246, 'Ingrid', '2004-09-02'),
(247, 'Grégoire', '2004-09-03'),
(248, 'Rosalie', '2004-09-04'),
(249, 'Raïssa', '2004-09-05'),
(250, 'Bertrand', '2004-09-06'),
(251, 'Reine', '2004-09-07'),
(252, 'Nativité Notre-', '2004-09-08'),
(253, 'Alain', '2004-09-09'),
(254, 'Inès', '2004-09-10'),
(255, 'Adelphe', '2004-09-11'),
(256, 'Apollinaire', '2004-09-12'),
(257, 'Aimé', '2004-09-13'),
(258, 'Sainte-Croix', '2004-09-14'),
(259, 'Roland', '2004-09-15'),
(260, 'Edith', '2004-09-16'),
(261, 'Renaud', '2004-09-17'),
(262, 'Nadège', '2004-09-18'),
(263, 'Emilie', '2004-09-19'),
(264, 'Davy', '2004-09-20'),
(265, 'Matthieu', '2004-09-21'),
(266, 'Maurice', '2004-09-22'),
(267, 'Constant', '2004-09-23'),
(268, 'Thècle', '2004-09-24'),
(269, 'Hermann', '2004-09-25'),
(270, 'Damien', '2004-09-26'),
(271, 'Vincent de Paul', '2004-09-27'),
(272, 'Venceslas', '2004-09-28'),
(273, 'Michel', '2004-09-29'),
(274, 'Jérôme', '2004-09-30'),
(275, 'Thérèse', '2004-10-01'),
(276, 'Léger', '2004-10-02'),
(277, 'Gérard', '2004-10-03'),
(278, 'François', '2004-10-04'),
(279, 'Fleur', '2004-10-05'),
(280, 'Bruno', '2004-10-06'),
(281, 'Serge', '2004-10-07'),
(282, 'Pélagie', '2004-10-08'),
(283, 'Denis', '2004-10-09'),
(284, 'Ghislain', '2004-10-10'),
(285, 'Firmin', '2004-10-11'),
(286, 'Wilfried', '2004-10-12'),
(287, 'Géraud', '2004-10-13'),
(288, 'Juste', '2004-10-14'),
(289, 'Thérèse d`Avila', '2004-10-15'),
(290, 'Edwige', '2004-10-16'),
(291, 'Baudoin', '2004-10-17'),
(292, 'Luc', '2004-10-18'),
(293, 'René', '2004-10-19'),
(294, 'Adeline', '2004-10-20'),
(295, 'Céline', '2004-10-21'),
(296, 'Elodie', '2004-10-22'),
(297, 'Jean de c.', '2004-10-23'),
(298, 'Florentin', '2004-10-24'),
(299, 'Crépin', '2004-10-25'),
(300, 'Dimitri', '2004-10-26'),
(301, 'Emeline', '2004-10-27'),
(302, 'Jude', '2004-10-28'),
(302, 'Simon', '2004-10-28'),
(303, 'Narcisse', '2004-10-29'),
(304, 'Bienvenue', '2004-10-30'),
(305, 'Quentin', '2004-10-31'),
(306, 'Toussaint', '2004-11-01'),
(307, 'Défunts', '2004-11-02'),
(308, 'Hubert', '2004-11-03'),
(309, 'Charles', '2004-11-04'),
(310, 'Sylvie', '2004-11-05'),
(311, 'Bertille', '2004-11-06'),
(312, 'Carine', '2004-11-07'),
(313, 'Geoffroy', '2004-11-08'),
(314, 'Théodore', '2004-11-09'),
(315, 'Léon', '2004-11-10'),
(316, 'Armistice 1918', '2004-11-11'),
(317, 'Christian', '2004-11-12'),
(318, 'Brice', '2004-11-13'),
(319, 'Sidoine', '2004-11-14'),
(320, 'Albert', '2004-11-15'),
(321, 'Marguerite', '2004-11-16'),
(322, 'Elisabeth', '2004-11-17'),
(323, 'Aude', '2004-11-18'),
(324, 'Tanguy', '2004-11-19'),
(325, 'Edmond', '2004-11-20'),
(326, 'Christ Roi', '2004-11-21'),
(327, 'Cécile', '2004-11-22'),
(328, 'Clément', '2004-11-23'),
(329, 'Flora', '2004-11-24'),
(330, 'Catherine', '2004-11-25'),
(331, 'Delphine', '2004-11-26'),
(332, 'Séverin', '2004-11-27'),
(333, 'Jacques de la M', '2004-11-28'),
(334, 'Saturnin', '2004-11-29'),
(335, 'André', '2004-11-30'),
(336, 'Florence', '2004-12-01'),
(337, 'Viviane', '2004-12-02'),
(338, 'Xavier', '2004-12-03'),
(339, 'Barbara', '2004-12-04'),
(340, 'Gérald', '2004-12-05'),
(341, 'Nicolas', '2004-12-06'),
(342, 'Ambroise', '2004-12-07'),
(343, 'Immaculée Conce', '2004-12-08'),
(344, 'Pierre Fourier', '2004-12-09'),
(345, 'Romaric', '2004-12-10'),
(346, 'Daniel', '2004-12-11'),
(347, 'Jeanne', '2004-12-12'),
(348, 'Lucie', '2004-12-13'),
(349, 'Odile', '2004-12-14'),
(350, 'Ninon', '2004-12-15'),
(351, 'Alice', '2004-12-16'),
(352, 'Gaël', '2004-12-17'),
(353, 'Gatien', '2004-12-18'),
(354, 'Urbain', '2004-12-19'),
(355, 'Abraham', '2004-12-20'),
(356, 'Pierre C.', '2004-12-21'),
(357, 'Fr. xavière', '2004-12-22'),
(358, 'Armand', '2004-12-23'),
(359, 'Adèle', '2004-12-24'),
(360, 'Noël', '2004-12-25'),
(361, 'Etienne', '2004-12-26'),
(362, 'Jean', '2004-12-27'),
(363, 'Yannick', '2004-12-28'),
(363, 'Innocents', '2004-12-28'),
(364, 'David', '2004-12-29'),
(365, 'Roger', '2004-12-30'),
(366, 'Sylvestre', '2004-12-31');

# ############################

# 
# Structure de la table `gestion`
# 

DROP TABLE IF EXISTS `gestion`;
CREATE TABLE IF NOT EXISTS `gestion` (
  `id_gestion` int(11) unsigned NOT NULL auto_increment,
  `nombre_chiffres` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  `nombre_groupes` int(11) unsigned NOT NULL default '0',
  `enregistrement_cnil` text NOT NULL,
  `dico` int(4) unsigned NOT NULL default '0',
  `page_login` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_gestion`)
) ;

# 
# Contenu de la table `gestion`
# 

INSERT INTO `gestion` (`id_gestion`, `nombre_chiffres`, `millesime`, `nombre_groupes`, `enregistrement_cnil`, `dico`, `page_login`) VALUES 
(1, 1, 2008, 5, '', 0, 0);

# ############################

# 
# Structure de la table `gestion_modules`
# 

DROP TABLE IF EXISTS `gestion_modules`;
CREATE TABLE IF NOT EXISTS `gestion_modules` (
  `id_gestion_module` int(11) unsigned NOT NULL auto_increment,
  `identifiant` int(11) unsigned NOT NULL default '0',
  `id_utilisateur` int(11) unsigned NOT NULL default '0',
  `droits` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_gestion_module`)
) ;

# 
# Contenu de la table `gestion_modules`
# 

INSERT INTO `gestion_modules` (`id_gestion_module`, `identifiant`, `id_utilisateur`, `droits`) VALUES 
(1, 0, 0, 10),
(2, 0, 0, 20),
(3, 0, 0, 25),
(4, 0, 0, 30),
(5, 0, 0, 40),
(6, 0, 0, 50),
(7, 0, 0, 60),
(8, 1, 0, 10),
(9, 1, 0, 20),
(10, 1, 0, 25),
(11, 1, 0, 30),
(12, 1, 0, 40),
(13, 1, 0, 50),
(14, 1, 0, 60);

# ############################

# 
# Structure de la table `groupement_disciplines_attribution`
# 

DROP TABLE IF EXISTS `groupement_disciplines_attribution`;
CREATE TABLE IF NOT EXISTS `groupement_disciplines_attribution` (
  `id_groupement_discipline_attribution` int(11) unsigned NOT NULL auto_increment,
  `id_groupement_discipline_definition` int(11) unsigned NOT NULL,
  `id_service_prof` int(11) unsigned NOT NULL,
  `millesime` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id_groupement_discipline_attribution`)
) ;

# 
# Contenu de la table `groupement_disciplines_attribution`
# 


# ############################

# 
# Structure de la table `groupement_disciplines_definition`
# 

DROP TABLE IF EXISTS `groupement_disciplines_definition`;
CREATE TABLE IF NOT EXISTS `groupement_disciplines_definition` (
  `id_groupement_discipline_definition` int(11) unsigned NOT NULL auto_increment,
  `id_classe` int(11) unsigned NOT NULL,
  `nom` varchar(200) NOT NULL,
  `code` varchar(20) NOT NULL,
  `credit` int(11) unsigned NOT NULL,
  `coefficient` float(10,2) NOT NULL default '1.00',
  `position` int(11) NOT NULL,
  `millesime` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id_groupement_discipline_definition`)
) ;

# 
# Contenu de la table `groupement_disciplines_definition`
# 


# ############################

# 
# Structure de la table `groupes_alias`
# 

DROP TABLE IF EXISTS `groupes_alias`;
CREATE TABLE IF NOT EXISTS `groupes_alias` (
  `id_groupe_alias` int(11) unsigned NOT NULL auto_increment,
  `id_alias` int(11) NOT NULL default '0',
  `code` varchar(200) NOT NULL default '',
  `numero` int(11) unsigned NOT NULL default '0',
  `id_utilisateur` int(11) NOT NULL default '0',
  `id_service_classe` int(11) NOT NULL default '0',
  `id_service_prof` int(11) NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_groupe_alias`)
) ;

# 
# Contenu de la table `groupes_alias`
# 


# ############################

# 
# Structure de la table `groupes_classe`
# 

DROP TABLE IF EXISTS `groupes_classe`;
CREATE TABLE IF NOT EXISTS `groupes_classe` (
  `id_groupe_classe` int(11) unsigned NOT NULL auto_increment,
  `code_groupe` varchar(8) NOT NULL default '',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `service_classe` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_groupe_classe`)
) ;

# 
# Contenu de la table `groupes_classe`
# 


# ############################

# 
# Structure de la table `groupes_eleve`
# 

DROP TABLE IF EXISTS `groupes_eleve`;
CREATE TABLE IF NOT EXISTS `groupes_eleve` (
  `id_groupe_eleve` int(11) unsigned NOT NULL auto_increment,
  `eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `groupe` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_groupe_eleve`),
  UNIQUE KEY `id_option_eleve_2` (`id_groupe_eleve`),
  KEY `id_option_eleve` (`id_groupe_eleve`)
) ;

# 
# Contenu de la table `groupes_eleve`
# 


# ############################

# 
# Structure de la table `groupes_utilisateurs`
# 

DROP TABLE IF EXISTS `groupes_utilisateurs`;
CREATE TABLE IF NOT EXISTS `groupes_utilisateurs` (
  `id_groupe_utilisateur` int(11) unsigned NOT NULL auto_increment,
  `id_type_groupe_utilisateur` int(11) unsigned NOT NULL default '0',
  `type_utilisateur` int(11) unsigned NOT NULL default '0',
  `id_utilisateur` int(11) unsigned NOT NULL default '0',
  `type` int(4) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_groupe_utilisateur`)
) ;

# 
# Contenu de la table `groupes_utilisateurs`
# 


# ############################

# 
# Structure de la table `interdictions`
# 

DROP TABLE IF EXISTS `interdictions`;
CREATE TABLE IF NOT EXISTS `interdictions` (
  `id_interdiction` int(11) unsigned NOT NULL auto_increment,
  `service_prof` int(11) unsigned NOT NULL default '0',
  `imp_moyenne` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_interdiction`)
) ;

# 
# Contenu de la table `interdictions`
# 


# ############################

# 
# Structure de la table `journal`
# 

DROP TABLE IF EXISTS `journal`;
CREATE TABLE IF NOT EXISTS `journal` (
  `texte` text NOT NULL,
  `script` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `adresse` text NOT NULL
) ;

# 
# Contenu de la table `journal`
# 


# ############################

# 
# Structure de la table `liens_parente`
# 

DROP TABLE IF EXISTS `liens_parente`;
CREATE TABLE IF NOT EXISTS `liens_parente` (
  `id_lien_parente` int(11) unsigned NOT NULL auto_increment,
  `libelle_court` varchar(15) NOT NULL default '',
  `libelle_long` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id_lien_parente`)
) ;

# 
# Contenu de la table `liens_parente`
# 

INSERT INTO `liens_parente` (`id_lien_parente`, `libelle_court`, `libelle_long`) VALUES 
(1, 'AUTRE', 'AUTRE MEMBRE DE LA FAMILLE'),
(2, 'AUTRE', 'AUTRE CAS'),
(3, 'DDASS', 'DDASS'),
(4, 'ELEVE', 'ELEVE LUI_MEME'),
(5, 'MERE', 'MERE'),
(6, 'PERE', 'PERE'),
(7, 'PERE-M', 'PERE ET MERE'),
(8, 'TUTEUR', 'TUTEUR');

# ############################

# 
# Structure de la table `memo_notes`
# 

DROP TABLE IF EXISTS `memo_notes`;
CREATE TABLE IF NOT EXISTS `memo_notes` (
  `id_memo_note` int(11) unsigned NOT NULL auto_increment,
  `id_utilisateur` int(11) unsigned NOT NULL default '0',
  `id_eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `texte` text NOT NULL,
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_memo_note`)
) ;

# 
# Contenu de la table `memo_notes`
# 


# ############################

# 
# Structure de la table `menus`
# 

DROP TABLE IF EXISTS `menus`;
CREATE TABLE IF NOT EXISTS `menus` (
  `id_menu` int(11) unsigned NOT NULL auto_increment,
  `numero` int(11) unsigned NOT NULL default '0',
  `ordre` int(11) unsigned NOT NULL default '0',
  `nom` varchar(40) NOT NULL default '',
  `titre` tinyint(4) NOT NULL default '0',
  `lien` varchar(200) NOT NULL default '',
  `target` varchar(200) NOT NULL default '',
  `couleur_texte` varchar(7) NOT NULL default '',
  `couleur_fond` varchar(7) NOT NULL default '',
  `actif` int(4) unsigned NOT NULL default '0',
  `description` varchar(200) NOT NULL default '',
  `modification` int(4) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id_menu`)
) ;

# 
# Contenu de la table `menus`
# 

INSERT INTO `menus` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 10, 0, '#7DEDD6', -1, '#7DB8E8', 'travail', '#000000', '#E0E0F9', 1, 'Arial,sans-serif', 1),
('', 15, 0, '#CCCC66', -1, '#FF9966', 'travail', '#000000', '#FFCC99', 1, 'Arial,sans-serif', 1),
('', 15, 1, 'Attribution des photos', 1, '', 'travail', '#000000', '#FF9966', 1, '', 1),
('', 15, 2, '&Eacute;l&egrave;ves', 0, './attribut_photos.php?util=1', 'travail', '#000000', '#FFCC99', 1, 'Atribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 15, 3, 'Enseignants', 0, './attribut_photos.php?util=2', 'travail', '#000000', '#FFCC99', 1, 'Atribution manuelle des photos aux enseignants.', 1),
('', 15, 4, 'Imp. Trombinoscopes', 0, './impression_trombinoscopes.php', 'travail', '#000000', '#FFCC99', 1, 'Impression des trombinoscopes.', 1),
('', 20, 0, '#C0FFC0', -1, '#35E035', 'travail', '#000000', '#00CCCC', 1, 'Arial,sans-serif', 1),
('', 25, 0, '#CCCC00', -1, '#CC33CC', 'travail', '#000000', '#CCCCFF', 1, 'Arial,sans-serif', 1),
('', 25, 1, 'Attribution des photos', 1, '', '', '#000000', '#CCCC00', 0, '', 0),
('', 25, 2, '&Eacute;l&egrave;ves', 0, './attribut_photos.php?util=1', 'travail_affichage', '#000000', '#CCCCFF', 0, 'Attribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 25, 3, 'Trombinoscopes', 1, '', '', '#000000', '#CCCC00', 1, '', 0),
('', 25, 4, 'Impression', 0, './impression_trombinoscopes.php', 'travail_affichage', '#000000', '#CCCCFF', 1, 'Impression des trombinoscopes.', 1),
('', 30, 0, '#7DEDD6', -1, '#7DB8E8', 'travail_affichage', '#000000', '#E0E0F9', 1, 'Arial,sans-serif', 1),
('', 30, 1, 'Attribution des photos', 1, '', '', '#000000', '#CCCC00', 0, '', 0),
('', 30, 2, '&Eacute;l&egrave;ves', 0, './attribut_photos.php?util=1', 'travail_affichage', '#000000', '#CCCCFF', 0, 'Attribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 30, 3, 'Trombinoscopes', 1, '', '', '#000000', '#CCCC00', 1, '', 0),
('', 30, 4, 'Impression', 0, './impression_trombinoscopes.php', 'travail_affichage', '#000000', '#CCCCFF', 1, 'Impression des trombinoscopes.', 1);
INSERT INTO `menus` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 40, 0, '#38C1B9', -1, '#3D82F0', '#a2bff6', '#000000', '#93AEDF', 1, 'Arial,sans-serif', 1),
('', 40, 1, 'Ajouter une classe', 0, './edite_classe.php', 'travail', '#000000', '#93AEDF', 1, 'Ajouter une classe.', 1),
('', 40, 2, 'Ajouter un &eacute;l&egrave;ve', 0, './nouvel_eleve.php', 'travail', '#000000', '#93AEDF', 1, 'Ajouter un &eacute;l&egrave;ve.', 1),
('', 40, 3, 'Param&ecirc;tres', 1, '', '', '#000000', '#38C1B9', 0, '', 0),
('', 40, 4, '&Eacute;tablissements', 0, './etablissements.php', 'travail', '#000000', '#93AEDF', 0, 'Modifier/Supprimer un &eacute;tablissement scolaire.', 1),
('', 40, 5, 'Param&eacute;trages', 0, './parametrage.php', 'travail', '#000000', '#93AEDF', 0, 'Param&eacute;trage des notes/bulletins.', 1),
('', 40, 6, 'Interface Parents', 0, './gestion_autorisations.php', 'travail', '#000000', '#93AEDF', 0, 'Positionner les autorisations d''acc&egrave;s parents/&eacute;l&egrave;ves.', 1),
('', 40, 7, 'D&eacute;finition', 1, '', '', '#000000', '#38C1B9', 0, '', 0),
('', 40, 8, 'Ann&eacute;e scolaire', 0, './annee_scolaire.php', 'travail', '#000000', '#93AEDF', 0, 'D&eacute;finition de l''ann&eacute;e scolaire.', 1),
('', 40, 9, 'P&eacute;riodes', 0, './gestion_periodes.php', 'travail', '#000000', '#93AEDF', 0, 'Gestion des p&eacute;riodes.', 1),
('', 40, 10, 'Types d`examens', 0, './gestion_types_examen.php', 'travail', '#000000', '#93AEDF', 0, 'D&eacute;finition des types d''examens.', 1),
('', 40, 11, 'P&eacute;r./C&oelig;ff./Exams', 0, './periodes_coeff_classes.php', 'travail', '#000000', '#93AEDF', 0, 'Gestion des p&eacute;riodes/coefficients et examens par classe.', 1),
('', 40, 12, '&Eacute;ch&eacute;ances', 0, './echeances.php', 'travail', '#000000', '#93AEDF', 0, 'D&eacute;finition des &eacute;ch&eacute;ances.', 1),
('', 40, 13, 'Imp. &Eacute;ch&eacute;ances', 0, './imp_echeances.php', 'travail', '#000000', '#93AEDF', 0, 'Impression des &eacute;ch&eacute;ances.', 1),
('', 40, 14, 'Gestion', 1, '', '', '#000000', '#38C1B9', 1, '', 0),
('', 40, 15, 'Disciplines', 0, './gestion_disciplines.php', 'travail', '#000000', '#93AEDF', 0, 'Ajouter/Supprimer/Modifier les disciplines.', 1),
('', 40, 16, 'Sous-disciplines', 0, './gestion_sous_disciplines.php', 'travail', '#000000', '#93AEDF', 1, 'Gestion des sous-disciplines.', 1),
('', 40, 17, 'Sous-mati&egrave;res', 0, './gestion_sous_matieres.php', 'travail', '#000000', '#93AEDF', 1, 'Gestion des sous-mati&egrave;res.', 1),
('', 40, 18, 'Classes', 0, './liste_classes.php', 'travail', '#000000', '#93AEDF', 1, 'Gestion compl&egrave;te des classes.', 1),
('', 50, 19, 'C.P.E.', 0, './edite_cpe.php', 'travail', '#000000', '#9DD1A1', 0, 'Gestion des CPE.', 1),
('', 40, 20, 'Enseignants', 0, './gestion_professeurs.php', 'travail', '#000000', '#93AEDF', 1, 'Modification des fiches enseignants.', 1),
('', 40, 21, '&Eacute;l&egrave;ves', 0, './gestion_eleves.php', 'travail', '#000000', '#93AEDF', 1, 'Modification des fiches &eacute;l&egrave;ves.', 1),
('', 40, 22, 'Imp. Trombinoscopes', 0, './impression_trombinoscopes.php', 'travail', '#000000', '#93AEDF', 1, 'Impression des trombinoscopes.', 1),
('', 40, 23, 'Imp. Liste &eacute;l&egrave;ves', 0, './liste.php', 'travail', '#000000', '#93AEDF', 1, 'Impression de la liste des &eacute;l&egrave;ves.', 1),
('', 40, 24, 'Gestion des saisies', 1, '', 'travail', '#000000', '#38C1B9', 1, '', 0),
('', 40, 25, 'Notes', 0, './saisie_notes.php', 'travail', '#000000', '#93AEDF', 1, 'Modification/Saisie des notes enseignants.', 1),
('', 40, 26, 'Appr&eacute;ciations', 0, './saisie_appreciations.php', 'travail', '#000000', '#93AEDF', 1, 'Modification/Saisie des appr&eacute;ciations enseignants.', 1),
('', 40, 27, 'Attribution des photos', 1, '', '', '#000000', '#38C1B9', 1, '', 0),
('', 40, 28, '&Eacute;l&egrave;ves', 0, './attribut_photos.php?util=1', 'travail', '#000000', '#93AEDF', 1, 'Attribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 40, 29, 'Enseignants', 0, './attribut_photos.php?util=2', 'travail', '#000000', '#93AEDF', 1, 'Attribution manuelle des photos aux enseignants.', 1),
('', 40, 30, 'V&eacute;rifications', 1, '', '', '#000000', '#38C1B9', 1, '', 0),
('', 40, 31, 'Notes', 0, './verif_notes.php', 'travail', '#000000', '#93AEDF', 1, 'V&eacute;rification des notes enseignants.', 1);
INSERT INTO `menus` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 50, 0, '#87B48A', -1, '#1BC621', '#ade6b2', '#000000', '#9DD1A1', 1, 'Arial,sans-serif', 1),
('', 50, 1, 'Ajouter une classe', 0, './edite_classe.php', 'travail', '#000000', '#9DD1A1', 0, 'Ajouter une classe.', 1),
('', 50, 2, 'Ajouter un &eacute;l&egrave;ve', 0, './nouvel_eleve.php', 'travail', '#000000', '#9DD1A1', 0, 'Ajouter un &eacute;l&egrave;ve.', 1),
('', 50, 3, 'Param&ecirc;tres', 1, '', '', '#000000', '#87B48A', 1, '', 0),
('', 50, 4, '&Eacute;tablissements', 0, './etablissements.php', 'travail', '#000000', '#9DD1A1', 1, 'Modifier/Supprimer un &eacute;tablissement scolaire.', 1),
('', 50, 5, 'Param&eacute;trages', 0, './parametrage.php', 'travail', '#000000', '#9DD1A1', 1, 'Param&eacute;trage des notes/bulletins.', 1),
('', 50, 6, 'Interface Parents', 0, './gestion_autorisations.php', 'travail', '#000000', '#9DD1A1', 1, 'Positionner les autorisations d''acc&egrave;s parents/&eacute;l&egrave;ves.', 1),
('', 50, 7, 'D&eacute;finition', 1, '', '', '#000000', '#87B48A', 1, '', 0),
('', 50, 8, 'Ann&eacute;e scolaire', 0, './annee_scolaire.php', 'travail', '#000000', '#9DD1A1', 1, 'D&eacute;finition de l''ann&eacute;e scolaire.', 1),
('', 50, 9, 'P&eacute;riodes', 0, './gestion_periodes.php', 'travail', '#000000', '#9DD1A1', 1, 'Gestion des p&eacute;riodes.', 1),
('', 50, 10, 'Types d`examens', 0, './gestion_types_examen.php', 'travail', '#000000', '#9DD1A1', 1, 'D&eacute;finition des types d''examens.', 1),
('', 50, 11, 'P&eacute;r./C&oelig;ff./Exams', 0, './periodes_coeff_classes.php', 'travail', '#000000', '#9DD1A1', 1, 'Gestion des p&eacute;riodes/coefficients et examens par classe.', 1),
('', 50, 12, '&Eacute;ch&eacute;ances', 0, './echeances.php', 'travail', '#000000', '#9DD1A1', 1, 'D&eacute;finition des &eacute;ch&eacute;ances.', 1),
('', 50, 13, 'Imp. &Eacute;ch&eacute;ances', 0, './imp_echeances.php', 'travail', '#000000', '#9DD1A1', 1, 'Impression des &eacute;ch&eacute;ances.', 1),
('', 50, 14, 'Gestion', 1, '', '', '#000000', '#87B48A', 1, '', 0),
('', 50, 15, 'Disciplines', 0, './gestion_disciplines.php', 'travail', '#000000', '#9DD1A1', 1, 'Ajouter/Supprimer/Modifier les disciplines.', 1),
('', 50, 16, 'Sous-disciplines', 0, './gestion_sous_disciplines.php', 'travail', '#000000', '#9DD1A1', 0, 'Gestion des sous-disciplines.', 1),
('', 50, 17, 'Sous-mati&egrave;res', 0, './gestion_sous_matieres.php', 'travail', '#000000', '#9DD1A1', 0, 'Gestion des sous-mati&egrave;res.', 1),
('', 50, 18, 'Classes', 0, './liste_classes.php', 'travail', '#000000', '#9DD1A1', 0, 'Gestion compl&egrave;te des classes.', 1),
('', 50, 19, 'C.P.E.', 0, './edite_cpe.php', 'travail', '#000000', '#9DD1A1', 0, 'Gestion des CPE.', 1),
('', 50, 20, 'Enseignants', 0, './gestion_professeurs.php', 'travail', '#000000', '#9DD1A1', 0, 'Modification des fiches enseignants.', 1),
('', 50, 21, '&Eacute;l&egrave;ves', 0, './gestion_eleves.php', 'travail', '#000000', '#9DD1A1', 0, 'Modification des fiches &eacute;l&egrave;ves.', 1),
('', 50, 22, 'Imp trombinoscopes', 0, './impression_trombinoscopes.php', 'travail', '#000000', '#9DD1A1', 0, 'Impression des trombinoscopes.', 1),
('', 50, 23, 'Imp. Liste &eacute;l&egrave;ves', 0, './liste.php', 'travail', '#000000', '#9DD1A1', 0, 'Impression de la liste des &eacute;l&egrave;ves.', 1),
('', 50, 24, 'Gestion des saisies', 1, '', 'travail', '#000000', '#87B48A', 0, '', 0),
('', 50, 25, 'Notes', 0, './saisie_notes.php', 'travail', '#000000', '#9DD1A1', 0, 'Modification/Saisie des notes enseignants.', 1),
('', 50, 26, 'Appr&eacute;ciations', 0, './saisie_appreciations.php', 'travail', '#000000', '#9DD1A1', 0, 'Modification/Saisie des appr&eacute;ciations enseignants.', 1),
('', 50, 27, 'Attribution des photos', 1, '', '', '#000000', '#87B48A', 0, '', 0),
('', 50, 28, '&Eacute;l&egrave;ves', 0, './attribut_photos.php?util=1', 'travail', '#000000', '#9DD1A1', 0, 'Attribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 50, 29, 'Enseignants', 0, './attribut_photos.php?util=2', 'travail', '#000000', '#9DD1A1', 0, 'Attribution manuelle des photos aux enseignants.', 1),
('', 50, 30, 'V&eacute;rifications', 1, '', '', '#000000', '#87B48A', 0, '', 0),
('', 50, 31, 'Notes', 0, './verif_notes.php', 'travail', '#000000', '#9DD1A1', 0, 'V&eacute;rification des notes enseignants.', 1);
INSERT INTO `menus` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 60, 0, '#FFAAAA', -1, '#FF7777', '#faddb2', '#000000', '#ffccaf', 1, 'Arial,sans-serif', 1),
('', 60, 1, 'Ann&eacute;e scolaire', 0, './annee_scolaire.php', 'travail', '#000000', '#FFCC99', 1, 'D&eacute;finition de l''ann&eacute;e scolaire.', 1),
('', 60, 2, 'Utilitaire mill&eacute;sime', 0, './utilitaire_millesime.php', 'travail', '#000000', '#FFCC99', 1, 'D&eacute;placement des mill&eacute;simes sur les tables SQL.', 1),
('', 60, 3, 'Gestion de la base', 1, '', 'travail', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 4, 'Gestion du dictionnaire', 0, './gestion_dictionnaire.php', 'travail', '#000000', '#FFCC99', 1, 'Activation/D&eacute;sactivation/Installation et Mise &agrave; jour du dictionnaire.', 1),
('', 60, 5, 'Cahier de textes', 0, './cahier_type_fichier.php', 'travail', '#000000', '#FFCC99', 1, 'Gestion des types de fichiers pour le cahier de textes.', 1),
('', 60, 6, 'Gestion des p&eacute;riodes', 0, './gestion_periodes.php', 'travail', '#000000', '#FFCC99', 1, 'G&egrave;re l''ensemble des p&eacute;riodes constituant l''ann&eacute;e scolaire.', 1),
('', 60, 7, 'Gestion types appr&eacute;ciations', 0, './gestion_types_appreciations.php', 'travail', '#000000', '#FFCC99', 1, 'G&egrave;re les types d''appr&eacute;ciations disponiblespour la saisie des bulletins.', 1),
('', 60, 8, 'Biblioth&egrave;ques appr&eacute;ciation', 0, './gestion_appreciations.php', 'travail', '#000000', '#FFCC99', 1, 'Ensemble d''appr&eacute;ciations.', 1),
('', 60, 9, 'V&eacute;rif. Notes', 0, './verif_notes.php', 'travail', '#000000', '#FFCC99', 1, 'V&eacute;rification de la base des notes enseignants.', 1),
('', 60, 10, 'Activation menus', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 11, 'Administrateur', 0, './gestion_menus.php?module=1&type=60', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu administrateur.', 0),
('', 60, 12, 'Direction', 0, './gestion_menus.php?module=1&type=50', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour la direction.', 0),
('', 60, 13, 'Secr&eacute;tariat', 0, './gestion_menus.php?module=1&type=40', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le secr&eacute;tariat.', 0),
('', 60, 14, 'CPE', 0, './gestion_menus.php?module=1&type=30', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le CPE.', 0),
('', 60, 15, 'Surveillant', 0, './gestion_menus.php?module=1&type=25', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le surveillant.', 0),
('', 60, 16, 'Enseignant', 0, './gestion_menus.php?module=1&type=20', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu enseignant.', 0),
('', 60, 17, 'Trombinoscope', 0, './gestion_menus.php?module=1&type=15', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu trombinoscope.', 1),
('', 60, 18, '&Eacute;l&egrave;ve', 0, './gestion_menus.php?module=1&type=10', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu &eacute;l&egrave;ve.', 0),
('', 60, 19, 'Ajout/Modif. menus', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 20, 'Administrateur', 0, './ajout_menus.php?module=1&type=60', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu administrateur.', 1),
('', 60, 21, 'Direction', 0, './ajout_menus.php?module=1&type=50', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu direction.', 1),
('', 60, 22, 'Secr&eacute;tariat', 0, './ajout_menus.php?module=1&type=40', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu secr&eacute;tariat.', 1),
('', 60, 23, 'CPE', 0, './ajout_menus.php?module=1&type=30', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu CPE.', 1),
('', 60, 24, 'Surveillant', 0, './ajout_menus.php?module=1&type=25', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu surveillant.', 1),
('', 60, 25, 'Enseignant', 0, './ajout_menus.php?module=1&type=20', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu enseignant.', 1),
('', 60, 26, 'Trombinoscope', 0, './ajout_menus.php?module=1&type=15', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu trombinoscope.', 1),
('', 60, 27, '&Eacute;l&egrave;ve', 0, './ajout_menus.php?module=1&type=10', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu &eacute;l&egrave;ve.', 1);

# ############################

# 
# Structure de la table `menus_classe`
# 

DROP TABLE IF EXISTS `menus_classe`;
CREATE TABLE IF NOT EXISTS `menus_classe` (
  `id_menu_classe` int(11) unsigned NOT NULL auto_increment,
  `id_type_menu_classe` int(11) unsigned NOT NULL default '0',
  `emplacement` int(4) unsigned NOT NULL default '0',
  `nom` varchar(100) NOT NULL default '',
  `texte` varchar(100) NOT NULL default '',
  `image` varchar(200) NOT NULL default '',
  `menu` varchar(200) NOT NULL default '',
  `couleur_texte` varchar(200) NOT NULL default '',
  `couleur_fond` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id_menu_classe`)
) ;

# 
# Contenu de la table `menus_classe`
# 

INSERT INTO `menus_classe` (`id_menu_classe`, `id_type_menu_classe`, `emplacement`, `nom`, `texte`, `image`, `menu`, `couleur_texte`, `couleur_fond`) VALUES 
(1, 1, 1, 'Saisie des notes', 'Saisie des notes', '$14-0', '1', '', ''),
(2, 1, 3, 'Saisie des appr&eacute;ciations', 'Saisie des appr&eacute;ciations', '$15-0', '2', '', ''),
(3, 1, 6, 'Cahier de textes', 'Cahier de textes', '$23-0', '3', '', ''),
(4, 2, 1, 'Moyennes toutes disciplines', 'Moy. tts disciplines', '$17-0', '1', '', ''),
(5, 2, 2, 'Appr&eacute;ciations', 'Appr&eacute;ciations', '$15-0', '2', '', ''),
(6, 2, 3, 'Notes disciplinaires', 'Notes discipline', '$18-0', '3', '', ''),
(7, 2, 4, 'Visualisation du bulletins p&eacute;riodique', 'Bulletins', '$22-0', '4', '', ''),
(8, 2, 6, 'Bilan des &eacute;l&egrave;ves', 'Bilan graphique', '$19-0', '5', '', ''),
(9, 2, 0, 'Imprimer les bulletins<br>&nbsp;(Si visualisation)', 'Impression des bulletins de classe', '', '-1', '', '');

# ############################

# 
# Structure de la table `menus_noyau`
# 

DROP TABLE IF EXISTS `menus_noyau`;
CREATE TABLE IF NOT EXISTS `menus_noyau` (
  `id_menu` int(11) unsigned NOT NULL auto_increment,
  `numero` int(11) unsigned NOT NULL default '0',
  `ordre` int(11) unsigned NOT NULL default '0',
  `nom` varchar(40) NOT NULL default '',
  `titre` tinyint(4) NOT NULL default '0',
  `lien` varchar(200) NOT NULL default '',
  `target` varchar(200) NOT NULL default '',
  `couleur_texte` varchar(7) NOT NULL default '',
  `couleur_fond` varchar(7) NOT NULL default '',
  `actif` int(4) unsigned NOT NULL default '0',
  `description` varchar(200) NOT NULL default '',
  `modification` int(4) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id_menu`)
) ;

# 
# Contenu de la table `menus_noyau`
# 

INSERT INTO `menus_noyau` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 10, 0, '#7DEDD6', -1, '#7DB8E8', 'travail', '#000000', '#E0E0F9', 1, '', 1),
('', 15, 0, '#CCCC66', -1, '#FF9966', 'travail', '#000000', '#FFCC99', 1, '', 0),
('', 15, 1, 'Messagerie interne', 0, './messagerie.php', 'travail', '#000000', '#FFCC99', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 20, 0, '#C0FFC0', -1, '#35E035', 'travail', '#000000', '#00CCCC', 1, '', 1),
('', 20, 1, 'DIVERS', 1, '', 'travail', '#000000', '#C0FFC0', 1, '', 0),
('', 20, 2, 'Messagerie interne', 0, './messagerie.php', 'travail_affichage', '#000000', '#00CCCC', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 20, 3, 'Th&egrave;mes d`affichage', 0, './theme_affichage.php', 'travail_affichage', '#000000', '#00CCCC', 1, 'Modification du th&egrave;me d''affichage.', 1),
('', 25, 0, '#CCCC00', -1, '#CC33CC', 'travail', '#000000', '#CCCCFF', 1, '', 1),
('', 25, 1, 'Messagerie interne', 0, './messagerie.php', 'travail', '#000000', '#CCCCFF', 0, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 30, 0, '#7DEDD6', -1, '#7DB8E8', 'travail_affichage', '#000000', '#E0E0F9', 1, '', 1),
('', 30, 1, 'Messagerie interne', 0, './messagerie.php', 'travail_affichage', '#000000', '#E0E0F9', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1);
INSERT INTO `menus_noyau` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 40, 0, '#38C1B9', -1, '#3D82F0', 'travail', '#000000', '#93AEDF', 1, '', 1),
('', 40, 1, 'Liste des connexions', 0, './liste_connexions.php', 'travail', '#000000', '#93AEDF', 0, 'Affiche la liste des personnes connect&eacute;es &agrave; Garennes.', 1),
('', 40, 2, 'Messagerie interne', 0, './messagerie.php', 'travail', '#000000', '#93AEDF', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 40, 3, 'Importation GEP', 1, '', 'travail', '#000000', '#38C1B9', 1, '', 0),
('', 40, 4, 'Mise &agrave; jour &eacute;l&egrave;ves', 0, './maj_eleves_1.php', 'travail', '#000000', '#93AEDF', 1, 'Mise &agrave; jour des &eacute;l&egrave;ves par importation GEP.', 1),
('', 40, 5, 'V&eacute;rifications', 1, '', '', '#000000', '#38C1B9', 1, '', 0),
('', 40, 6, 'Purge/V&eacute;rification', 0, './verif_codes_disc.php?titre=-1', 'travail', '#000000', '#93AEDF', 1, 'Purge et v&eacute;rification de la base de donn&eacute;es.', 1),
('', 50, 0, '#87B48A', -1, '#1BC621', 'travail', '#000000', '#9DD1A1', 1, '', 1),
('', 50, 1, 'Liste des connexions', 0, './liste_connexions.php', 'travail', '#000000', '#9DD1A1', 0, 'Affiche la liste des personnes connect&eacute;es &agrave; Garennes.', 1),
('', 50, 2, 'Messagerie interne', 0, './messagerie.php', 'travail', '#000000', '#9DD1A1', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 50, 3, 'Importation GEP', 1, '', 'travail', '#000000', '#87B48A', 0, '', 0),
('', 50, 4, 'Mise &agrave; jour &eacute;l&egrave;ves', 0, './maj_eleves_1.php', 'travail', '#000000', '#9DD1A1', 0, 'Mise &agrave; jour des &eacute;l&egrave;ves par importation GEP.', 1),
('', 50, 5, 'V&eacute;rifications', 1, '', '', '#000000', '#87B48A', 0, '', 0),
('', 50, 6, 'Purge/V&eacute;rification', 0, './verif_codes_disc.php?titre=-1', 'travail', '#000000', '#9DD1A1', 0, 'Purge et v&eacute;rification de la base de donn&eacute;es.', 1);
INSERT INTO `menus_noyau` (`id_menu`, `numero`, `ordre`, `nom`, `titre`, `lien`, `target`, `couleur_texte`, `couleur_fond`, `actif`, `description`, `modification`) VALUES 
('', 60, 0, '#FFAAAA', -1, '#FF7777', 'travail', '#000000', '#FFCC99', 1, '', 1),
('', 60, 1, 'Reconfiguration Garennes', 0, './reconfiguration.php', 'travail', '#000000', '#FFCC99', 1, 'R&eacute;-&eacute;criture du fichier de configuration de Garennes : /include/garennes.cfg', 1),
('', 60, 2, 'Liste des connexions', 0, './liste_connexions.php', 'travail', '#000000', '#FFCC99', 1, 'Affiche la liste des personnes connect&eacute;es &agrave; Garennes.', 1),
('', 60, 3, 'Stat. utilisation', 0, './statistiques.php', 'travail', '#000000', '#FFCC99', 1, 'Affiche les statistiques de connexions/saisie/modification.', 1),
('', 60, 4, 'Messagerie interne', 0, './messagerie.php', 'travail', '#000000', '#FFCC99', 1, 'Permet d''&eacute;crire un message &agrave; un ensemble d''utilisateurs ou un utilisateur en particulier.', 1),
('', 60, 5, 'Importations GEP', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 6, 'Globale (Obsol&egrave;te)', 0, './importation.php?type=1', 'travail', '#000000', '#FFCC99', 1, 'Importation de toute la base GEP : &Eacute;tablissements/Classes/&Eacute;l&egrave;ves/Parents/Enseignants/Services.', 1),
('', 60, 7, '&Eacute;l&egrave;ves (Obsol&egrave;te)', 0, './imp_eleves_1.php', 'travail', '#000000', '#FFCC99', 1, 'Importation de la base GEP : &Eacute;tablissements/Classes/&Eacute;l&egrave;ves/Parents.', 1),
('', 60, 8, 'Services (Obsol&egrave;te)', 0, './imp_services_1.php', 'travail', '#000000', '#FFCC99', 1, 'Importation de la base GEP : Enseignants/Services.', 1),
('', 60, 9, 'Importations SCONET', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 10, 'Format CSV', 0, './importation_csv.php', 'travail', '#000000', '#FFCC99', 1, 'Importations en format Texte de type CSV : &Eacute;tablissements/Classes/&Eacute;l&egrave;ves/Parents/Enseignants.', 1),
('', 60, 11, 'Format XML', 0, './importation_xml.php', 'travail', '#000000', '#FFCC99', 1, 'Importations en format Texte de type XML : &Eacute;tablissements/Classes/&Eacute;l&egrave;ves/Parents/Enseignants/Services.', 1),
('', 60, 12, 'Mise &agrave; jour', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 13, 'Format CSV', 0, './mise_a_jour_csv.php?type=1', 'travail', '#000000', '#FFCC99', 1, 'Mise &agrave; jour en format Texte de type CSV : &Eacute;tablissements/Classes/&Eacute;l&egrave;ves/Parents/Enseignants.', 1),
('', 60, 14, 'Gestion Utilisateurs', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 15, 'Administrateur', 0, './utilisateurs.php?type=60', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un administrateur.', 1),
('', 60, 16, 'Direction', 0, './utilisateurs.php?type=50', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un personnel de direction.', 1),
('', 60, 17, 'Secr&eacute;tariat', 0, './utilisateurs.php?type=40', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un personnel de secr&eacute;tariat.', 1),
('', 60, 18, 'CPE', 0, './utilisateurs.php?type=30', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un personnel CPE.', 1),
('', 60, 19, 'Surveillant', 0, './utilisateurs.php?type=25', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un surveillant.', 1),
('', 60, 20, 'Enseignant', 0, './utilisateurs.php?type=20', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un enseignant.', 1),
('', 60, 21, 'Trombinoscope', 0, './utilisateurs.php?type=15', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un utilisateur du module trombinoscope.', 1),
('', 60, 22, '&Eacute;l&egrave;ve', 0, './gestion_eleves.php', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/supprime un &eacute;l&egrave;ve.', 1),
('', 60, 23, 'Attr. login/mots passe', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 24, '&Eacute;l&egrave;ves', 0, './def_identifiants.php?utils=1', 'travail', '#000000', '#FFCC99', 1, 'Attribution automatique des identifiants/mot de passes &eacute;l&egrave;ves.', 1),
('', 60, 25, 'Enseignants', 0, './def_identifiants.php?utils=2', 'travail', '#000000', '#FFCC99', 1, 'Attribution automatique des identifiants/mot de passes enseignants.', 1),
('', 60, 26, 'Attribution des photos', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 27, '&Eacute;l&egrave;ves (manuel)', 0, './attribut_photos.php?util=1', 'travail', '#000000', '#FFCC99', 1, 'Attribution manuelle des photos aux &eacute;l&egrave;ves.', 1),
('', 60, 28, '&Eacute;l&egrave;ves (auto)', 0, './def_photos.php?utils=1', 'travail', '#000000', '#FFCC99', 1, 'Attribution automatique des photos aux &eacute;l&egrave;ves.', 1),
('', 60, 29, 'Enseignants (manuel)', 0, './attribut_photos.php?util=2', 'travail', '#000000', '#FFCC99', 1, 'Attribution manuelle des photos aux enseignants.', 1),
('', 60, 30, 'Enseignants (auto)', 0, './def_photos.php?utils=2', 'travail', '#000000', '#FFCC99', 1, 'Attribution automatique des photos aux enseignants.', 1),
('', 60, 31, 'Gestion de la base', 1, '', 'travail', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 32, 'Gestion des modules', 0, './gestion_modules.php', 'travail', '#000000', '#FFCC99', 1, 'Gestion des droits sur les diff&eacute;rents modules.', 1),
('', 60, 33, 'Type de table', 0, './gestion_type_table.php', 'travail', '#000000', '#FFCC99', 1, 'Modification du type de table SQL.', 1),
('', 60, 34, 'Optimisation', 0, './optimisation.php', 'travail', '#000000', '#FFCC99', 1, 'Optimise la base de donn&eacute;es.', 1),
('', 60, 35, 'Sauvegarde', 0, './sauvegarde.php', 'travail', '#000000', '#FFCC99', 1, 'Sauvegarde de la base de donn&eacute;es.', 1),
('', 60, 36, 'Restauration', 0, './restauration.php', 'travail', '#000000', '#FFCC99', 1, 'Restauration de la base de donn&eacute;es.', 1),
('', 60, 37, 'Archivage', 0, './archivage.php', 'travail', '#000000', '#FFCC99', 1, 'Archivage de l''ensemble des sauvegardes.', 1),
('', 60, 38, 'Fin d''ann&eacute;e', 0, './fin_annee.php', 'travail', '#000000', '#FFCC99', 1, 'Effectue la fin de l''ann&eacute;e : Sauvegardes/Mise en place de la nouvelle ann&eacute;e.', 1),
('', 60, 39, 'Activation menus', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 40, 'Administrateur', 0, './gestion_menus.php?module=0&type=60', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu administrateur.', 0),
('', 60, 41, 'Direction', 0, './gestion_menus.php?module=0&type=50', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour la direction.', 0),
('', 60, 42, 'Secr&eacute;tariat', 0, './gestion_menus.php?module=0&type=40', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le secr&eacute;tariat.', 0),
('', 60, 43, 'CPE', 0, './gestion_menus.php?module=0&type=30', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le CPE.', 0),
('', 60, 44, 'Surveillant', 0, './gestion_menus.php?module=0&type=25', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu pour le surveillant.', 0),
('', 60, 45, 'Enseignant', 0, './gestion_menus.php?module=0&type=20', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu enseignant.', 0),
('', 60, 46, 'Trombinoscope', 0, './gestion_menus.php?module=0&type=15', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu trombinoscope.', 0),
('', 60, 47, '&Eacute;l&egrave;ve', 0, './gestion_menus.php?module=0&type=10', 'travail', '#000000', '#FFCC99', 1, 'Active/d&eacute;sactive un menu &eacute;l&egrave;ve.', 0),
('', 60, 48, 'Ajout/Modif. menus', 1, '', '', '#000000', '#FFAAAA', 1, '', 0),
('', 60, 49, 'Administrateur', 0, './ajout_menus.php?module=0&type=60', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu administrateur.', 1),
('', 60, 50, 'Direction', 0, './ajout_menus.php?module=0&type=50', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu direction.', 1),
('', 60, 51, 'Secr&eacute;tariat', 0, './ajout_menus.php?module=0&type=40', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu secr&eacute;tariat.', 1),
('', 60, 52, 'CPE', 0, './ajout_menus.php?module=0&type=30', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu CPE.', 1),
('', 60, 53, 'Surveillant', 0, './ajout_menus.php?module=0&type=25', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu surveillant.', 1),
('', 60, 54, 'Enseignant', 0, './ajout_menus.php?module=0&type=20', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu enseignant.', 1),
('', 60, 55, 'Trombinoscope', 0, './ajout_menus.php?module=0&type=15', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu trombinoscope.', 1),
('', 60, 56, '&Eacute;l&egrave;ve', 0, './ajout_menus.php?module=0&type=10', 'travail', '#000000', '#FFCC99', 1, 'Ajoute/Modifie/Supprime un menu &eacute;l&egrave;ve.', 1);

# ############################

# 
# Structure de la table `messages`
# 

DROP TABLE IF EXISTS `messages`;
CREATE TABLE IF NOT EXISTS `messages` (
  `id_message` int(11) unsigned NOT NULL auto_increment,
  `titre` varchar(200) NOT NULL default '',
  `date_message` date NOT NULL default '0000-00-00',
  `date_debut` date NOT NULL default '0000-00-00',
  `date_fin` date NOT NULL default '0000-00-00',
  `contenu` text NOT NULL,
  `emetteur_type` int(11) unsigned NOT NULL default '0',
  `emetteur_utilisateur` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_message`)
) ;

# 
# Contenu de la table `messages`
# 


# ############################

# 
# Structure de la table `messages_recepteurs`
# 

DROP TABLE IF EXISTS `messages_recepteurs`;
CREATE TABLE IF NOT EXISTS `messages_recepteurs` (
  `id_message_recepteur` int(11) unsigned NOT NULL auto_increment,
  `id_message` int(11) unsigned NOT NULL default '0',
  `recepteur_type` int(11) unsigned NOT NULL default '0',
  `recepteur_groupe` int(11) unsigned NOT NULL default '0',
  `recepteur_utilisateur` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_message_recepteur`)
) ;

# 
# Contenu de la table `messages_recepteurs`
# 


# ############################

# 
# Structure de la table `moyennes`
# 

DROP TABLE IF EXISTS `moyennes`;
CREATE TABLE IF NOT EXISTS `moyennes` (
  `id_moyenne` int(11) unsigned NOT NULL auto_increment,
  `eleve` int(11) unsigned NOT NULL default '0',
  `controle` int(11) NOT NULL default '0',
  `service_classe` int(11) unsigned NOT NULL default '0',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `periode` int(11) unsigned NOT NULL default '0',
  `valeur` tinytext NOT NULL,
  `type` int(11) unsigned NOT NULL default '0',
  `enregistrement` datetime NOT NULL,
  `date_maj` datetime NOT NULL,
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_moyenne`)
) ;

# 
# Contenu de la table `moyennes`
# 


# ############################

# 
# Structure de la table `notanet_attributions_eleve`
# 

DROP TABLE IF EXISTS `notanet_attributions_eleve`;
CREATE TABLE IF NOT EXISTS `notanet_attributions_eleve` (
  `id_notanet_attribution_eleve` int(11) unsigned NOT NULL auto_increment,
  `id_eleve` int(11) unsigned NOT NULL default '0',
  `id_notanet_code_epreuve` int(11) unsigned NOT NULL default '0',
  `id_service_prof` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_attribution_eleve`)
) ;

# 
# Contenu de la table `notanet_attributions_eleve`
# 


# ############################

# 
# Structure de la table `notanet_attributions_profils_eleve`
# 

DROP TABLE IF EXISTS `notanet_attributions_profils_eleve`;
CREATE TABLE IF NOT EXISTS `notanet_attributions_profils_eleve` (
  `id_notanet_attribution_profil_eleve` int(11) unsigned NOT NULL auto_increment,
  `id_notanet_profil` int(11) unsigned NOT NULL default '0',
  `id_eleve` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_attribution_profil_eleve`)
) ;

# 
# Contenu de la table `notanet_attributions_profils_eleve`
# 


# ############################

# 
# Structure de la table `notanet_codes_epreuves`
# 

DROP TABLE IF EXISTS `notanet_codes_epreuves`;
CREATE TABLE IF NOT EXISTS `notanet_codes_epreuves` (
  `id_notanet_code_epreuve` int(11) unsigned NOT NULL auto_increment,
  `id_notanet_profil` int(11) unsigned NOT NULL default '0',
  `code` char(3) NOT NULL default '',
  `id_discipline` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_code_epreuve`)
) ;

# 
# Contenu de la table `notanet_codes_epreuves`
# 


# ############################

# 
# Structure de la table `notanet_definitions`
# 

DROP TABLE IF EXISTS `notanet_definitions`;
CREATE TABLE IF NOT EXISTS `notanet_definitions` (
  `id_notanet_definition` int(11) unsigned NOT NULL auto_increment,
  `id_notanet_code_epreuve` int(11) unsigned NOT NULL default '0',
  `id_classe` int(11) unsigned NOT NULL default '0',
  `id_service_prof` int(11) NOT NULL default '0',
  `ordre` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_definition`)
) ;

# 
# Contenu de la table `notanet_definitions`
# 


# ############################

# 
# Structure de la table `notanet_disciplines_speciales`
# 

DROP TABLE IF EXISTS `notanet_disciplines_speciales`;
CREATE TABLE IF NOT EXISTS `notanet_disciplines_speciales` (
  `id_notanet_discipline_speciale` int(11) unsigned NOT NULL auto_increment,
  `identifiant` int(4) NOT NULL default '0',
  `libelle` varchar(50) NOT NULL default '',
  `titre` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_notanet_discipline_speciale`)
) ;

# 
# Contenu de la table `notanet_disciplines_speciales`
# 

INSERT INTO `notanet_disciplines_speciales` (`id_notanet_discipline_speciale`, `identifiant`, `libelle`, `titre`) VALUES 
(1, -1, 'Premi&egrave;re langue vivante', 'Anglais 1, Allemand 1, Espagnol 1, ...'),
(2, -2, 'Deuxi&egrave;me langue vivante', 'Anglais 2, Allemand 2, Espagnol 2,...'),
(3, -3, 'Option facultative', 'Option du DNB'),
(4, -4, 'Vie scolaire', 'Note de vie scolaire'),
(5, -5, 'Socle B2I', 'Brevet Informatique et Internet'),
(6, -6, 'Socle niveau A2 de langue', 'Niveau A2 de langue');

# ############################

# 
# Structure de la table `notanet_profils`
# 

DROP TABLE IF EXISTS `notanet_profils`;
CREATE TABLE IF NOT EXISTS `notanet_profils` (
  `id_notanet_profil` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(100) NOT NULL default '',
  `arrondi` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_profil`)
) ;

# 
# Contenu de la table `notanet_profils`
# 


# ############################

# 
# Structure de la table `notanet_profils_classes`
# 

DROP TABLE IF EXISTS `notanet_profils_classes`;
CREATE TABLE IF NOT EXISTS `notanet_profils_classes` (
  `id_notanet_profil_classe` int(11) unsigned NOT NULL auto_increment,
  `id_classe` int(11) unsigned NOT NULL default '0',
  `id_notanet_profil` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_profil_classe`)
) ;

# 
# Contenu de la table `notanet_profils_classes`
# 


# ############################

# 
# Structure de la table `notanet_proprietes`
# 

DROP TABLE IF EXISTS `notanet_proprietes`;
CREATE TABLE IF NOT EXISTS `notanet_proprietes` (
  `id_notanet_propriete` int(11) unsigned NOT NULL auto_increment,
  `id_notanet_code_epreuve` int(11) unsigned NOT NULL default '0',
  `id_notanet_type_note` int(11) unsigned NOT NULL default '0',
  `mode_calcul` int(4) NOT NULL default '0',
  `borne_superieure` int(11) unsigned NOT NULL default '0',
  `coefficient` float(10,2) NOT NULL default '0.00',
  `mouvement` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_notanet_propriete`)
) ;

# 
# Contenu de la table `notanet_proprietes`
# 


# ############################

# 
# Structure de la table `notanet_saisies`
# 

DROP TABLE IF EXISTS `notanet_saisies`;
CREATE TABLE IF NOT EXISTS `notanet_saisies` (
  `id_notanet_saisie` int(11) unsigned NOT NULL auto_increment,
  `id_eleve` int(11) unsigned NOT NULL default '0',
  `id_code_epreuve` int(11) unsigned NOT NULL default '0',
  `id_service_prof` int(11) NOT NULL default '0',
  `note` tinytext NOT NULL,
  `appreciation` text NOT NULL,
  PRIMARY KEY  (`id_notanet_saisie`)
) ;

# 
# Contenu de la table `notanet_saisies`
# 


# ############################

# 
# Structure de la table `notanet_types_notes`
# 

DROP TABLE IF EXISTS `notanet_types_notes`;
CREATE TABLE IF NOT EXISTS `notanet_types_notes` (
  `id_notanet_type_note` int(11) unsigned NOT NULL auto_increment,
  `code` char(2) NOT NULL default '',
  `libelle` varchar(100) NOT NULL,
  PRIMARY KEY  (`id_notanet_type_note`)
) ;

# 
# Contenu de la table `notanet_types_notes`
# 

INSERT INTO `notanet_types_notes` (`id_notanet_type_note`, `code`, `libelle`) VALUES 
(1, 'DI', 'Candidat dispens&eacute;'),
(2, 'NN', 'Mati&egrave;re non not&eacute;e'),
(3, 'AB', 'Candidat absent'),
(4, 'MS', 'Ma&icirc;trise du socle'),
(5, 'ME', 'Ma&icirc;trise de certains &eacute;l&eacute;ments du socle'),
(6, 'MN', 'Ma&icirc;trise du socle non &eacute;valu&eacute;e');

# ############################

# 
# Structure de la table `notes`
# 

DROP TABLE IF EXISTS `notes`;
CREATE TABLE IF NOT EXISTS `notes` (
  `id_note` int(11) unsigned NOT NULL auto_increment,
  `eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `valeur` tinytext NOT NULL,
  `commentaire` tinytext NOT NULL,
  `controle` int(11) unsigned default NULL,
  `id` varchar(32) NOT NULL default '',
  `enregistrement` datetime NOT NULL default '0000-00-00 00:00:00',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_note`),
  UNIQUE KEY `id_note_2` (`id_note`),
  KEY `id_note` (`id_note`)
) ;

# 
# Contenu de la table `notes`
# 


# ############################

# 
# Structure de la table `options_eleve`
# 

DROP TABLE IF EXISTS `options_eleve`;
CREATE TABLE IF NOT EXISTS `options_eleve` (
  `id_option_eleve` int(11) unsigned NOT NULL auto_increment,
  `eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `service_classe` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_option_eleve`),
  UNIQUE KEY `id_option_eleve_2` (`id_option_eleve`),
  KEY `id_option_eleve` (`id_option_eleve`)
) ;

# 
# Contenu de la table `options_eleve`
# 


# ############################

# 
# Structure de la table `patch`
# 

DROP TABLE IF EXISTS `patch`;
CREATE TABLE IF NOT EXISTS `patch` (
  `id_patch` int(11) unsigned NOT NULL auto_increment,
  `patch` varchar(10) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id_patch`)
) ;

# 
# Contenu de la table `patch`
# 


# ############################

# 
# Structure de la table `periodes_classe`
# 

DROP TABLE IF EXISTS `periodes_classe`;
CREATE TABLE IF NOT EXISTS `periodes_classe` (
  `id_periode_classe` int(11) unsigned NOT NULL auto_increment,
  `numero` int(11) unsigned NOT NULL default '0',
  `debut` date NOT NULL default '0000-00-00',
  `fin` date NOT NULL default '0000-00-00',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `duree_vs` int(11) unsigned NOT NULL default '0',
  `duree_secr` int(11) unsigned NOT NULL default '0',
  `duree_dir` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_periode_classe`),
  UNIQUE KEY `id_periodes` (`id_periode_classe`),
  KEY `id_periodes_2` (`id_periode_classe`)
) ;

# 
# Contenu de la table `periodes_classe`
# 


# ############################

# 
# Structure de la table `phrases_specifiques`
# 

DROP TABLE IF EXISTS `phrases_specifiques`;
CREATE TABLE IF NOT EXISTS `phrases_specifiques` (
  `id_phrase_specifique` int(11) unsigned NOT NULL auto_increment,
  `id_discipline` int(11) unsigned NOT NULL default '0',
  `min` float(10,4) NOT NULL default '0.0000',
  `max` float(10,4) NOT NULL default '0.0000',
  `condition_1` int(4) unsigned NOT NULL default '0',
  `condition_2` int(4) unsigned NOT NULL default '0',
  `phrase` text NOT NULL,
  PRIMARY KEY  (`id_phrase_specifique`)
) ;

# 
# Contenu de la table `phrases_specifiques`
# 


# ############################

# 
# Structure de la table `responsables`
# 

DROP TABLE IF EXISTS `responsables`;
CREATE TABLE IF NOT EXISTS `responsables` (
  `id_responsable` int(11) unsigned NOT NULL auto_increment,
  `id_eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `legal` int(4) NOT NULL default '0',
  `correspondant` int(4) NOT NULL default '0',
  `civilite` varchar(30) NOT NULL default '',
  `nom` varchar(100) NOT NULL default '',
  `prenom` varchar(100) NOT NULL default '',
  `adresse1` varchar(150) NOT NULL default '',
  `adresse2` varchar(150) NOT NULL default '',
  `adresse3` varchar(150) NOT NULL default '',
  `adresse4` varchar(150) NOT NULL default '',
  `code_postal` varchar(6) NOT NULL default '',
  `commune` varchar(100) NOT NULL default '',
  `id_lien_parente` int(11) NOT NULL default '0',
  `profession` text NOT NULL,
  `situation_emploi` text NOT NULL,
  `telephone_domicile` varchar(50) NOT NULL default '',
  `telephone_travail` varchar(50) NOT NULL default '',
  `telephone_mobile` varchar(50) NOT NULL default '',
  `mel` text NOT NULL,
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_responsable`)
) ;

# 
# Contenu de la table `responsables`
# 


# ############################

# 
# Structure de la table `restaurations`
# 

DROP TABLE IF EXISTS `restaurations`;
CREATE TABLE IF NOT EXISTS `restaurations` (
  `id_restauration` int(11) unsigned NOT NULL auto_increment,
  `nom_repertoire` varchar(150) NOT NULL default '',
  `nom_fichier` varchar(150) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` varchar(20) NOT NULL default '',
  `taille` int(11) unsigned NOT NULL default '0',
  `transmis` tinyint(3) unsigned NOT NULL default '0',
  `qui` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_restauration`)
) ;

# 
# Contenu de la table `restaurations`
# 


# ############################

# 
# Structure de la table `restaurations_fichiers`
# 

DROP TABLE IF EXISTS `restaurations_fichiers`;
CREATE TABLE IF NOT EXISTS `restaurations_fichiers` (
  `id_sauvegardes_fichier` int(11) unsigned NOT NULL auto_increment,
  `numero` int(11) unsigned NOT NULL default '0',
  `nom` varchar(50) NOT NULL default '',
  `extension` varchar(20) NOT NULL default '',
  `taille` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_sauvegardes_fichier`)
) ;

# 
# Contenu de la table `restaurations_fichiers`
# 


# ############################

# 
# Structure de la table `sauvegardes`
# 

DROP TABLE IF EXISTS `sauvegardes`;
CREATE TABLE IF NOT EXISTS `sauvegardes` (
  `id_sauvegarde` int(11) unsigned NOT NULL auto_increment,
  `nom_repertoire` varchar(150) NOT NULL default '',
  `nom_fichier` varchar(150) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` varchar(20) NOT NULL default '',
  `taille` int(11) unsigned NOT NULL default '0',
  `compresse` tinyint(4) NOT NULL default '0',
  `transmis` tinyint(3) unsigned NOT NULL default '0',
  `separateur` char(3) NOT NULL default '',
  `commentaires` text NOT NULL,
  PRIMARY KEY  (`id_sauvegarde`)
) ;

# 
# Contenu de la table `sauvegardes`
# 


# ############################

# 
# Structure de la table `sauvegardes_fichiers`
# 

DROP TABLE IF EXISTS `sauvegardes_fichiers`;
CREATE TABLE IF NOT EXISTS `sauvegardes_fichiers` (
  `id_sauvegardes_fichier` int(11) unsigned NOT NULL auto_increment,
  `numero` int(11) unsigned NOT NULL default '0',
  `nom` varchar(50) NOT NULL default '',
  `extension` varchar(20) NOT NULL default '',
  `taille` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_sauvegardes_fichier`)
) ;

# 
# Contenu de la table `sauvegardes_fichiers`
# 


# ############################

# 
# Structure de la table `services_classe`
# 

DROP TABLE IF EXISTS `services_classe`;
CREATE TABLE IF NOT EXISTS `services_classe` (
  `id_service_classe` int(11) unsigned NOT NULL auto_increment,
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `id_groupement_discipline_definition` int(11) unsigned NOT NULL,
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `optionnelle` tinyint(4) NOT NULL default '0',
  `groupe` tinyint(4) NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  `id_alias` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_service_classe`),
  UNIQUE KEY `id_service_classe_2` (`id_service_classe`),
  KEY `id_service_classe` (`id_service_classe`)
) ;

# 
# Contenu de la table `services_classe`
# 


# ############################

# 
# Structure de la table `services_prof`
# 

DROP TABLE IF EXISTS `services_prof`;
CREATE TABLE IF NOT EXISTS `services_prof` (
  `id_service_prof` int(11) unsigned NOT NULL auto_increment,
  `professeur` int(11) NOT NULL default '0',
  `numen_prof` varchar(13) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `sous_discipline` int(11) unsigned NOT NULL default '0',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `id_groupement_discipline_definition` int(11) unsigned NOT NULL,
  `service_classe` int(11) unsigned NOT NULL default '0',
  `groupe_classe` int(11) unsigned NOT NULL default '0',
  `coefficient` float(10,2) unsigned NOT NULL default '0.00',
  `millesime` int(11) unsigned NOT NULL default '0',
  `validite` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_service_prof`),
  UNIQUE KEY `id_service_prof_2` (`id_service_prof`),
  KEY `id_service_prof` (`id_service_prof`)
) ;

# 
# Contenu de la table `services_prof`
# 


# ############################

# 
# Structure de la table `sessions`
# 

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE IF NOT EXISTS `sessions` (
  `id_session` int(11) unsigned NOT NULL auto_increment,
  `droits` int(11) unsigned default NULL,
  `dateheure` int(11) unsigned default NULL,
  `dh_maj` int(11) unsigned default NULL,
  `utilisateur` int(11) unsigned default NULL,
  `date` datetime NOT NULL,
  `description` text,
  `coefficient` float(10,2) NOT NULL default '1.00',
  `theme` int(11) unsigned NOT NULL default '0',
  `examen` float(10,2) unsigned NOT NULL default '0.00',
  `max` int(11) unsigned NOT NULL default '0',
  `sous_matiere` int(11) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `inactivite` int(11) unsigned NOT NULL default '0',
  `duree_session` int(11) unsigned NOT NULL default '0',
  `actif` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_session`),
  UNIQUE KEY `id_session` (`id_session`),
  KEY `id_session_2` (`id_session`)
) ;

# 
# Contenu de la table `sessions`
# 


# ############################

# 
# Structure de la table `signatures`
# 

DROP TABLE IF EXISTS `signatures`;
CREATE TABLE IF NOT EXISTS `signatures` (
  `id_signature` int(11) unsigned NOT NULL auto_increment,
  `nom` tinytext NOT NULL,
  PRIMARY KEY  (`id_signature`)
) ;

# 
# Contenu de la table `signatures`
# 

INSERT INTO `signatures` (`id_signature`, `nom`) VALUES 
(1, 'Le proviseur'),
(2, 'La proviseure'),
(3, 'Le principal'),
(4, 'La principale'),
(5, 'Le directeur'),
(6, 'La directrice'),
(7, 'Le proviseur'),
(8, 'La proviseure'),
(9, 'Le principal'),
(10, 'La principale'),
(11, 'Le directeur'),
(12, 'La directrice');

# ############################

# 
# Structure de la table `simulation_coefficients`
# 

DROP TABLE IF EXISTS `simulation_coefficients`;
CREATE TABLE IF NOT EXISTS `simulation_coefficients` (
  `id_simulation_coefficient` int(11) unsigned NOT NULL auto_increment,
  `simulation_definition` int(11) unsigned NOT NULL default '0',
  `service_prof` int(11) unsigned NOT NULL default '0',
  `coefficient` float(10,2) NOT NULL default '0.00',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_simulation_coefficient`)
) ;

# 
# Contenu de la table `simulation_coefficients`
# 


# ############################

# 
# Structure de la table `simulation_definitions`
# 

DROP TABLE IF EXISTS `simulation_definitions`;
CREATE TABLE IF NOT EXISTS `simulation_definitions` (
  `id_simulation_definition` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_simulation_definition`)
) ;

# 
# Contenu de la table `simulation_definitions`
# 


# ############################

# 
# Structure de la table `sous_disciplines`
# 

DROP TABLE IF EXISTS `sous_disciplines`;
CREATE TABLE IF NOT EXISTS `sous_disciplines` (
  `id_sous_discipline` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id_sous_discipline`)
) ;

# 
# Contenu de la table `sous_disciplines`
# 

INSERT INTO `sous_disciplines` (`id_sous_discipline`, `nom`) VALUES 
(1, 'TP'),
(2, 'TD'),
(3, 'Cours'),
(4, 'Foot'),
(5, 'BDM'),
(6, 'SPE SES'),
(7, 'SPE MATHS'),
(8, 'SPE PHY'),
(9, 'SPE SVT'),
(10, 'TECHNO'),
(11, 'Atelier'),
(12, 'Methode'),
(13, 'Appareil');

# ############################

# 
# Structure de la table `sous_matieres`
# 

DROP TABLE IF EXISTS `sous_matieres`;
CREATE TABLE IF NOT EXISTS `sous_matieres` (
  `id_sous_matiere` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(15) NOT NULL default '',
  `professeur` int(11) unsigned NOT NULL default '0',
  `numen_prof` varchar(13) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `sous_discipline` int(11) unsigned NOT NULL default '0',
  `classe` int(11) unsigned NOT NULL default '0',
  `code_classe` varchar(5) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_sous_matiere`),
  KEY `id_sous_matiere` (`id_sous_matiere`)
) ;

# 
# Contenu de la table `sous_matieres`
# 

INSERT INTO `sous_matieres` (`id_sous_matiere`, `nom`, `professeur`, `numen_prof`, `discipline`, `code_disc`, `sous_discipline`, `classe`, `code_classe`, `millesime`) VALUES 
(1, 'Ecrit', 0, '', 0, '', 0, 0, '', 2006),
(2, 'Oral', 0, '', 0, '', 0, 0, '', 2006),
(3, 'Devoir', 0, '', 0, '', 0, 0, '', 2006),
(4, 'Module', 0, '', 0, '', 0, 0, '', 2006),
(5, 'Orthographe', 0, '', 0, '', 0, 0, '', 2006),
(6, 'Grammaire', 0, '', 0, '', 0, 0, '', 2006),
(7, 'T.D.', 0, '', 0, '', 0, 0, '', 2006),
(8, 'T.P.', 0, '', 0, '', 0, 0, '', 2006),
(9, 'Techno', 0, '', 0, '', 0, 0, '', 2006),
(10, 'Atelier', 0, '', 0, '', 0, 0, '', 2006),
(11, 'Methode', 0, '', 0, '', 0, 0, '', 2006),
(12, 'Appareil', 0, '', 0, '', 0, 0, '', 2006),
(13, 'Controle', 0, '', 0, '', 0, 0, '', 2006),
(14, 'Interrogations', 0, '', 0, '', 0, 0, '', 2006),
(15, 'Langue', 0, '', 0, '', 0, 0, '', 2006),
(16, 'Maitrise', 0, '', 0, '', 0, 0, '', 2006),
(17, 'Participation', 0, '', 0, '', 0, 0, '', 2006),
(18, 'Performance', 0, '', 0, '', 0, 0, '', 2006),
(19, 'Texte', 0, '', 0, '', 0, 0, '', 2006),
(20, 'Travail maison', 0, '', 0, '', 0, 0, '', 2006);

# ############################

# 
# Structure de la table `themes`
# 

DROP TABLE IF EXISTS `themes`;
CREATE TABLE IF NOT EXISTS `themes` (
  `id_theme` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL default '',
  `nom_repertoire` varchar(100) NOT NULL default '',
  `fichier_config` varchar(100) NOT NULL default '',
  `validation` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_theme`)
) ;

# 
# Contenu de la table `themes`
# 

INSERT INTO `themes` (`id_theme`, `nom`, `nom_repertoire`, `fichier_config`, `validation`) VALUES 
(1, 'Plastique', 'plastique', 'config.inc', 1),
(2, 'Moderne Vert', 'moderne_vert', 'config.inc', 1),
(3, 'Moderne Gris', 'moderne_gris', 'config.inc', 1),
(4, 'window$ 98', 'win_98', 'config.inc', 1),
(5, 'Mac OS X', 'mac_os_x', 'config.inc', 1);

# ############################

# 
# Structure de la table `type_classe_virtuelle`
# 

DROP TABLE IF EXISTS `type_classe_virtuelle`;
CREATE TABLE IF NOT EXISTS `type_classe_virtuelle` (
  `id_type_classe_virtuelle` int(11) unsigned NOT NULL auto_increment,
  `nom_long` varchar(40) NOT NULL default '',
  `nom_court` varchar(20) NOT NULL default '',
  `nom_bref` varchar(5) NOT NULL default '',
  `utilisateur` int(11) unsigned NOT NULL default '0',
  `numen` varchar(13) NOT NULL default '',
  `discipline` int(11) unsigned NOT NULL default '0',
  `code_disc` varchar(6) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_classe_virtuelle`),
  UNIQUE KEY `id_type_classe_virtuelle_2` (`id_type_classe_virtuelle`),
  KEY `id_type_classe_virtuelle` (`id_type_classe_virtuelle`)
) ;

# 
# Contenu de la table `type_classe_virtuelle`
# 


# ############################

# 
# Structure de la table `type_groupe_utilisateurs`
# 

DROP TABLE IF EXISTS `type_groupe_utilisateurs`;
CREATE TABLE IF NOT EXISTS `type_groupe_utilisateurs` (
  `id_type_groupe_utilisateur` int(11) unsigned NOT NULL auto_increment,
  `type` int(11) unsigned NOT NULL default '0',
  `nom` varchar(200) NOT NULL default '',
  `defaut` int(4) unsigned NOT NULL default '0',
  `actif` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_groupe_utilisateur`)
) ;

# 
# Contenu de la table `type_groupe_utilisateurs`
# 

INSERT INTO `type_groupe_utilisateurs` (`id_type_groupe_utilisateur`, `type`, `nom`, `defaut`, `actif`) VALUES 
(1, 20, 'Enseignants', 1, 1),
(2, 30, 'CPE', 1, 1),
(3, 25, 'Surveillants', 0, 1),
(4, 40, 'Secr&eacute;tariat', 1, 1),
(5, 50, 'Direction', 1, 1);

# ############################

# 
# Structure de la table `types_alias`
# 

DROP TABLE IF EXISTS `types_alias`;
CREATE TABLE IF NOT EXISTS `types_alias` (
  `id_type_alias` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(200) NOT NULL default '',
  `code` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id_type_alias`)
) ;

# 
# Contenu de la table `types_alias`
# 

INSERT INTO `types_alias` (`id_type_alias`, `nom`, `code`) VALUES 
(1, 'Enseignants', '1');

# ############################

# 
# Structure de la table `types_appreciations`
# 

DROP TABLE IF EXISTS `types_appreciations`;
CREATE TABLE IF NOT EXISTS `types_appreciations` (
  `id_type_appreciation` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id_type_appreciation`)
) ;

# 
# Contenu de la table `types_appreciations`
# 

INSERT INTO `types_appreciations` (`id_type_appreciation`, `nom`) VALUES 
(1, 'Comportement'),
(2, 'Conseil'),
(3, 'Niveau'),
(4, 'Travail');

# ############################

# 
# Structure de la table `types_classement`
# 

DROP TABLE IF EXISTS `types_classement`;
CREATE TABLE IF NOT EXISTS `types_classement` (
  `id_type_classement` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_type_classement`)
) ;

# 
# Contenu de la table `types_classement`
# 


# ############################

# 
# Structure de la table `types_disciplines`
# 

DROP TABLE IF EXISTS `types_disciplines`;
CREATE TABLE IF NOT EXISTS `types_disciplines` (
  `id_type_discipline` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id_type_discipline`)
) ;

# 
# Contenu de la table `types_disciplines`
# 

INSERT INTO `types_disciplines` (`id_type_discipline`, `nom`) VALUES 
(1, 'ADMINISTRATION'),
(2, 'ALLEMAND'),
(3, 'ANGLAIS'),
(4, 'ARABE'),
(5, 'ARTS'),
(6, 'ASSISTANT'),
(7, 'BASQUE'),
(8, 'BIOCHIMIE'),
(9, 'BIOLOGIE-GEOLOGIE'),
(10, 'BIOTECHNOLOGIE'),
(11, 'BRAILLE'),
(12, 'CATALAN'),
(13, 'CHIMIE'),
(14, 'COMPTABILITE'),
(15, 'DIVERS'),
(16, 'DOCUMENTATION'),
(17, 'E.M.T.'),
(18, 'ECONOMIE ET GESTION'),
(19, 'EDUCATION'),
(20, 'EPS'),
(21, 'ESPAGNOL'),
(22, 'FORMATEUR'),
(23, 'GENIE'),
(24, 'GRAMMAIRE'),
(25, 'GREC'),
(26, 'HISTOIRE-GEOGRAPHIE'),
(27, 'INFORMATION ET ORIENTATION'),
(28, 'INSTITUTEUR SPECIALISE'),
(29, 'ITALIEN'),
(30, 'LANGUES'),
(31, 'LETTRES'),
(32, 'LETTRES CLASSIQUES'),
(33, 'LETTRES MODERNES'),
(34, 'LETTRES+'),
(35, 'LETTRES+LANGUE'),
(36, 'MATHEMATIQUES'),
(37, 'MATHS+'),
(38, 'MI-SE'),
(39, 'MUSIQUE'),
(40, 'OCCITAN'),
(41, 'ORIENTATION'),
(42, 'PEGC  SECTION 13'),
(43, 'PHILOSOPHIE'),
(44, 'PHYSIQUE-CHIMIE'),
(45, 'PORTUGAIS'),
(46, 'PREMIER DEGRE'),
(47, 'PROFESSIONNEL'),
(48, 'RUSSE'),
(49, 'SCIENCES'),
(50, 'SCIENCES ET TECHNIQUES'),
(51, 'SECRETARIAT'),
(52, 'SES'),
(53, 'STI'),
(54, 'SVT'),
(55, 'TECHNOLOGIE'),
(56, 'TERTIAIRE'),
(57, 'VENTE'),
(58, 'INFORMATIQUE');

# ############################

# 
# Structure de la table `types_examens`
# 

DROP TABLE IF EXISTS `types_examens`;
CREATE TABLE IF NOT EXISTS `types_examens` (
  `id_type_examen` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(15) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_examen`)
) ;

# 
# Contenu de la table `types_examens`
# 

INSERT INTO `types_examens` (`id_type_examen`, `nom`, `millesime`) VALUES 
(1, 'Brevet', 2006),
(2, 'CAP', 2006),
(3, 'BEP', 2006),
(4, 'BAC Pro', 2006),
(5, 'BAC', 2006),
(6, 'BTS', 2006),
(7, 'CCF', 2006),
(8, 'ASR', 2006);

# ############################

# 
# Structure de la table `types_menus_classe`
# 

DROP TABLE IF EXISTS `types_menus_classe`;
CREATE TABLE IF NOT EXISTS `types_menus_classe` (
  `id_type_menu_classe` int(11) unsigned NOT NULL auto_increment,
  `type` int(4) unsigned NOT NULL default '0',
  `nom` varchar(100) NOT NULL default '',
  `texte` varchar(100) NOT NULL default '',
  `image` varchar(200) NOT NULL default '',
  `couleur_texte` varchar(7) NOT NULL default '',
  `couleur_fond` varchar(7) NOT NULL default '',
  PRIMARY KEY  (`id_type_menu_classe`)
) ;

# 
# Contenu de la table `types_menus_classe`
# 

INSERT INTO `types_menus_classe` (`id_type_menu_classe`, `type`, `nom`, `texte`, `image`, `couleur_texte`, `couleur_fond`) VALUES 
(1, 1, 'Zone de saisie de notes et appr&eacute;ciations.', 'Zone de saisie', '$13-0', '', ''),
(2, 2, 'Zone de consultations...', 'Zone de consultations', '$13-1', '', '');

# ############################

# 
# Structure de la table `types_modules`
# 

DROP TABLE IF EXISTS `types_modules`;
CREATE TABLE IF NOT EXISTS `types_modules` (
  `id_type_module` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(200) NOT NULL default '',
  `menu` varchar(200) NOT NULL default '',
  `identifiant` int(11) unsigned NOT NULL default '0',
  `actif` tinyint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_module`)
) ;

# 
# Contenu de la table `types_modules`
# 

INSERT INTO `types_modules` (`id_type_module`, `nom`, `menu`, `identifiant`, `actif`) VALUES 
(1, 'Noyau', 'menus_noyau', 0, 1),
(2, 'Notes', 'menus', 1, 1);

# ############################

# 
# Structure de la table `types_periode`
# 

DROP TABLE IF EXISTS `types_periode`;
CREATE TABLE IF NOT EXISTS `types_periode` (
  `id_type_periode` int(11) unsigned NOT NULL auto_increment,
  `nom_periode` varchar(30) NOT NULL default '',
  `nombre` int(11) unsigned NOT NULL default '0',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_periode`)
) ;

# 
# Contenu de la table `types_periode`
# 

INSERT INTO `types_periode` (`id_type_periode`, `nom_periode`, `nombre`, `millesime`) VALUES 
(1, 'trimestre', 3, 2006),
(2, 'semestre', 2, 2006);

# ############################

# 
# Structure de la table `types_regimes`
# 

DROP TABLE IF EXISTS `types_regimes`;
CREATE TABLE IF NOT EXISTS `types_regimes` (
  `id_type_regime` int(10) unsigned NOT NULL auto_increment,
  `code` int(10) unsigned NOT NULL default '0',
  `nom_court` varchar(10) NOT NULL default '',
  `nom_long` varchar(40) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_regime`)
) ;

# 
# Contenu de la table `types_regimes`
# 

INSERT INTO `types_regimes` (`id_type_regime`, `code`, `nom_court`, `nom_long`, `millesime`) VALUES 
(1, 0, 'EXTERN', 'EXTERNE LIBRE', 2006),
(2, 0, 'EXT.', 'EXTERNE', 2006),
(3, 1, 'EX.SUR', 'EXTERNE SURVEILLE', 2006),
(4, 2, '1/2 P.', '1/2 PENSION', 2006),
(5, 2, 'DP DAN', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEMENT', 2006),
(6, 3, 'INTERN', 'INTERNE DANS L''ETABLISSEMENT', 2006),
(7, 3, 'INT.', 'INTERNE', 2006),
(8, 4, 'INT.EX', 'INTERNE EXTERNE', 2006),
(9, 5, 'IN.HEB', 'INTERNE HEBERGE', 2006),
(10, 6, 'DP HOR', 'DEMI-PENSIONNAIRE HORS L''ETABLISSEMENT', 2006),
(11, 7, '1/2INT', '1/2 INTERNE', 2006),
(12, 8, 'INT-WE', 'INTERNE WEEK-END', 2006),
(13, 21, 'DP DAN 1J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 1J', 2006),
(14, 22, 'DP DAN 2J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 2J', 2006),
(15, 23, 'DP DAN 3J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 3J', 2006),
(16, 24, 'DP DAN 4J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 4J', 2006),
(17, 25, 'DP DAN 5J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 5J', 2006),
(18, 26, 'DP DAN 6J', 'DEMI-PENSIONNAIRE DANS L''ETABLISSEM 6J', 2006),
(19, 29, 'AU TICKET', '1/2 PENS. AU TICKET', 2006),
(20, 29, 'AU TIC', 'DEMI-PENSIONNAIRE AU TICKET', 2006),
(21, 31, 'INT 1J', 'INTERNE 1 JOUR', 2006),
(22, 32, 'INT 2J', 'INTERNE 2 JOURS', 2006),
(23, 33, 'INT 3J', 'INTERNE 3 JOURS', 2006),
(24, 34, 'INT 4J', 'INTERNE 4 JOURS', 2006),
(25, 35, 'INT 5J', 'INTERNE 5 JOURS', 2006),
(26, 36, 'INT 6J', 'INTERNE 6 JOURS', 2006),
(27, 38, '1/2 IN', 'DEMI INTERNE', 2006),
(28, 39, 'INT WE', 'INTERNE WEEK END', 2006);

# ############################

# 
# Structure de la table `types_utilisateurs`
# 

DROP TABLE IF EXISTS `types_utilisateurs`;
CREATE TABLE IF NOT EXISTS `types_utilisateurs` (
  `id_type_utilisateur` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(100) NOT NULL default '',
  `numero` int(11) unsigned NOT NULL default '0',
  `table` varchar(100) NOT NULL default '',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_type_utilisateur`)
) ;

# 
# Contenu de la table `types_utilisateurs`
# 


# ############################

# 
# Structure de la table `utilisateurs`
# 

DROP TABLE IF EXISTS `utilisateurs`;
CREATE TABLE IF NOT EXISTS `utilisateurs` (
  `id_utilisateur` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(25) NOT NULL default '',
  `prenom` varchar(25) NOT NULL default '',
  `login` varchar(200) NOT NULL default '',
  `passe` varchar(200) default NULL,
  `droits` int(11) unsigned default '1',
  `civilite` int(11) unsigned NOT NULL default '0',
  `theme` int(11) unsigned NOT NULL default '0',
  `numen` varchar(13) NOT NULL default '',
  `photo` tinytext NOT NULL,
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_utilisateur`),
  UNIQUE KEY `id_professeur` (`id_utilisateur`),
  KEY `id_professeur_2` (`id_utilisateur`)
) ;

# 
# Contenu de la table `utilisateurs`
# 


# ############################

# 
# Structure de la table `validites`
# 

DROP TABLE IF EXISTS `validites`;
CREATE TABLE IF NOT EXISTS `validites` (
  `id_validite` int(11) unsigned NOT NULL auto_increment,
  `nom_court` varchar(20) NOT NULL default '',
  `nom_long` varchar(100) NOT NULL default '',
  `identifiant` int(11) NOT NULL default '0',
  `id_utilisateur` int(11) NOT NULL default '0',
  `sem01` tinyint(4) unsigned NOT NULL default '0',
  `sem02` tinyint(4) unsigned NOT NULL default '0',
  `sem03` tinyint(4) unsigned NOT NULL default '0',
  `sem04` tinyint(4) unsigned NOT NULL default '0',
  `sem05` tinyint(4) unsigned NOT NULL default '0',
  `sem06` tinyint(4) unsigned NOT NULL default '0',
  `sem07` tinyint(4) unsigned NOT NULL default '0',
  `sem08` tinyint(4) unsigned NOT NULL default '0',
  `sem09` tinyint(4) unsigned NOT NULL default '0',
  `sem10` tinyint(4) unsigned NOT NULL default '0',
  `sem11` tinyint(4) unsigned NOT NULL default '0',
  `sem12` tinyint(4) unsigned NOT NULL default '0',
  `sem13` tinyint(4) unsigned NOT NULL default '0',
  `sem14` tinyint(4) unsigned NOT NULL default '0',
  `sem15` tinyint(4) unsigned NOT NULL default '0',
  `sem16` tinyint(4) unsigned NOT NULL default '0',
  `sem17` tinyint(4) unsigned NOT NULL default '0',
  `sem18` tinyint(4) unsigned NOT NULL default '0',
  `sem19` tinyint(4) unsigned NOT NULL default '0',
  `sem20` tinyint(4) unsigned NOT NULL default '0',
  `sem21` tinyint(4) unsigned NOT NULL default '0',
  `sem22` tinyint(4) unsigned NOT NULL default '0',
  `sem23` tinyint(4) unsigned NOT NULL default '0',
  `sem24` tinyint(4) unsigned NOT NULL default '0',
  `sem25` tinyint(4) unsigned NOT NULL default '0',
  `sem26` tinyint(4) unsigned NOT NULL default '0',
  `sem27` tinyint(4) unsigned NOT NULL default '0',
  `sem28` tinyint(4) unsigned NOT NULL default '0',
  `sem29` tinyint(4) unsigned NOT NULL default '0',
  `sem30` tinyint(4) unsigned NOT NULL default '0',
  `sem31` tinyint(4) unsigned NOT NULL default '0',
  `sem32` tinyint(4) unsigned NOT NULL default '0',
  `sem33` tinyint(4) unsigned NOT NULL default '0',
  `sem34` tinyint(4) unsigned NOT NULL default '0',
  `sem35` tinyint(4) unsigned NOT NULL default '0',
  `sem36` tinyint(4) unsigned NOT NULL default '0',
  `sem37` tinyint(4) unsigned NOT NULL default '0',
  `sem38` tinyint(4) unsigned NOT NULL default '0',
  `sem39` tinyint(4) unsigned NOT NULL default '0',
  `sem40` tinyint(4) unsigned NOT NULL default '0',
  `sem41` tinyint(4) unsigned NOT NULL default '0',
  `sem42` tinyint(4) unsigned NOT NULL default '0',
  `sem43` tinyint(4) unsigned NOT NULL default '0',
  `sem44` tinyint(4) unsigned NOT NULL default '0',
  `sem45` tinyint(4) unsigned NOT NULL default '0',
  `sem46` tinyint(4) unsigned NOT NULL default '0',
  `sem47` tinyint(4) unsigned NOT NULL default '0',
  `sem48` tinyint(4) unsigned NOT NULL default '0',
  `sem49` tinyint(4) unsigned NOT NULL default '0',
  `sem50` tinyint(4) unsigned NOT NULL default '0',
  `sem51` tinyint(4) unsigned NOT NULL default '0',
  `sem52` tinyint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_validite`)
) ;

# 
# Contenu de la table `validites`
# 

INSERT INTO `validites` (`id_validite`, `nom_court`, `nom_long`, `identifiant`, `id_utilisateur`, `sem01`, `sem02`, `sem03`, `sem04`, `sem05`, `sem06`, `sem07`, `sem08`, `sem09`, `sem10`, `sem11`, `sem12`, `sem13`, `sem14`, `sem15`, `sem16`, `sem17`, `sem18`, `sem19`, `sem20`, `sem21`, `sem22`, `sem23`, `sem24`, `sem25`, `sem26`, `sem27`, `sem28`, `sem29`, `sem30`, `sem31`, `sem32`, `sem33`, `sem34`, `sem35`, `sem36`, `sem37`, `sem38`, `sem39`, `sem40`, `sem41`, `sem42`, `sem43`, `sem44`, `sem45`, `sem46`, `sem47`, `sem48`, `sem49`, `sem50`, `sem51`, `sem52`) VALUES 
(1, 'ANNEE', 'Valable toute l''ann&eacute;e', 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1),
(2, 'PERIODE 1', 'Valable sur la p&eacute;riode 1', 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(3, 'PERIODE 2', 'Valable sur la p&eacute;riode 2', 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(4, 'PERIODE 3', 'Valable sur la p&eacute;riode 3', 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

# ############################

# 
# Structure de la table `vie_scolaire`
# 

DROP TABLE IF EXISTS `vie_scolaire`;
CREATE TABLE IF NOT EXISTS `vie_scolaire` (
  `id_vie_scolaire` int(11) unsigned NOT NULL auto_increment,
  `cpe` int(11) NOT NULL default '0',
  `numen_cpe` varchar(13) NOT NULL default '',
  `eleve` int(11) unsigned NOT NULL default '0',
  `repere1` varchar(11) NOT NULL default '',
  `repere2` varchar(11) NOT NULL default '',
  `absences` int(11) unsigned NOT NULL default '0',
  `non_justifiees` int(11) unsigned NOT NULL default '0',
  `retards` int(11) unsigned NOT NULL default '0',
  `observations` varchar(240) NOT NULL default '',
  `periode` int(11) unsigned NOT NULL default '1',
  `note` tinytext NOT NULL,
  `commentaire` tinytext NOT NULL,
  `coefficient` float(10,2) unsigned NOT NULL default '0.00',
  `millesime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_vie_scolaire`)
) ;

# 
# Contenu de la table `vie_scolaire`
# 

