<?php
 // Modele de bulletin
 
 /**
 * Hauteur caracteres en PDF
 *              X
 *       -      |    ---
 *       |      |       | = Taille/14 (Espacement)
 *       |      CCCCC -- 
 * oooo  |      C       |
 * o  o H|      C       | = Taille-Taille/14-Taille/4,8
 * oooo  |      C       |
 *       | Y--- CCCCC  -
 *       |        C     |
 *       |       C      | = Taille/4,8
 *       -        CC   -
 *              |<->| 
 *                L
 * Largeur caracteres en PDF : Utilisation de la methode L = $pdf->StrLen ($caractere)
 */
 // Definition des coefficients
 $echelle_x = 28.346 ; // Passage cm -> pixels
 $echelle_y = 28.346 ;
 
 // Coordonnees en partant du bas gauche de la page en cm
 $largeur = 21 ;
 $hauteur = 29.7 ;
 $marge_gauche = 0.8 ;
 $marge_droite = 0.8 ;
 $marge_haut = 1 ;
 $marge_bas = 1 ;
 
 // Pliage
 $trait_debut_gauche = 0.2 ;
 $trait_fin_gauche = $marge_gauche-0.1 ;
 $trait_hauteur = 2*$hauteur/3 ;
 
 // Options d'impression
 $id_etablissement = id_etablissement_par_id_classe ($id_classe, $millesime) ;
 
 $cadre_adresse = restaure_configuration ("SYSTEME_PARAM","BULLETINS","ADRESSE_".$id_etablissement."_".$id_classe) ;
 If ($cadre_adresse == "") { $cadre_adresse = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","ADRESSE_".$id_etablissement, 1) ; }
 
 $date_naissance_eleve = restaure_configuration ("SYSTEME_PARAM","BULLETINS","DATE_NAISSANCE_".$id_etablissement."_".$id_classe) ;
 If ($date_naissance_eleve == "") { $date_naissance_eleve = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","DATE_NAISSANCE_".$id_etablissement, 1) ; }
 
 $classe_eleve = restaure_configuration ("SYSTEME_PARAM","BULLETINS","CLASSE_".$id_etablissement."_".$id_classe) ;
 If ($classe_eleve == "") { $classe_eleve = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","CLASSE_".$id_etablissement, 1) ; }
 
 $effectif_eleve = restaure_configuration ("SYSTEME_PARAM","BULLETINS","EFFECTIF_".$id_etablissement."_".$id_classe) ;
 If ($effectif_eleve == "") { $effectif_eleve = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","EFFECTIF_".$id_etablissement, 1) ; }
 
 $redoublement_eleve = restaure_configuration ("SYSTEME_PARAM","BULLETINS","REDOUBLEMENT_".$id_etablissement."_".$id_classe) ;
 If ($redoublement_eleve == "") { $redoublement_eleve_defaut = restaure_configuration ("SYSTEME_PARAM","BULLETINS","REDOUBLEMENT_".$id_etablissement, 1) ; }
 
 $ine_eleve = restaure_configuration ("SYSTEME_PARAM","BULLETINS","INE_".$id_etablissement."_".$id_classe) ;
 If ($ine_eleve == "") { $ine_eleve = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","INE_".$id_etablissement, 1) ; }
 
 $titre_gd = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","IMP_TITRE_GROUPEMENT_".$id_etablissement, 1) ;
 $moyenne_nc_gd = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","IMP_MOY_NC_GROUPEMENT_".$id_etablissement, 1) ;
 $minmax_nc_gd = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","IMP_MIN_MAX_NC_GROUPEMENT_".$id_etablissement, 1) ;
 $moyenne_c_gd = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","IMP_MOY_C_GROUPEMENT_".$id_etablissement, 0) ;
 $minmax_c_gd = restaure_configuration_defaut ("SYSTEME_PARAM","BULLETINS","IMP_MIN_MAX_C_GROUPEMENT_".$id_etablissement, 1) ;
 
 //$nombre_disciplines = 15-$cadre_adresse ; // Nombre de disciplines avec les cadres administratifs
 //$nbr_max_disciplines = 19-$cadre_adresse ; // Nombre max de disciplines sans cadres administratifs
 
 // ------------------------------------------------------------------------
 //  CADRE PERIODE
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_periode [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_periode [1][0] = $marge_gauche ; // Debut cadre X 
 $cadre_periode [1][1] = $hauteur-$marge_haut ; // Debut cadre Y
 $cadre_periode [1][2] = $largeur-$marge_droite ; // Fin cadre X 
 $cadre_periode [1][3] = $cadre_periode [1][1]-0.5 ; // Fin cadre Y
 $cadre_periode [1][4] = 1 ; // Largeur trace
 $cadre_periode [1][5] = 0 ; // Couleur rouge
 $cadre_periode [1][6] = 0 ; // Couleur verte
 $cadre_periode [1][7] = 0 ; // Couleur bleu
 // Nom periode
 $cadre_periode [2][0] = $cadre_periode [1][0]+0.1 ; // Debut PERIODE X
 $cadre_periode [2][1] = $cadre_periode [1][1]-0.4 ; // Debut PERIODE Y
 $cadre_periode [2][2] = "Helvetica-Bold" ; // Police PERIODE
 $cadre_periode [2][3] = "12" ; //  Taille PERIODE
 $cadre_periode [2][4] = 0 ; // Couleur rouge
 $cadre_periode [2][5] = 0 ; // Couleur verte
 $cadre_periode [2][6] = 0 ; // Couleur bleu
 $cadre_periode [2][7] = Floor (($cadre_periode [1][2]-$cadre_periode [1][0]-0.2)*$echelle_x/6) ; // Nombre caracteres
 
 // ------------------------------------------------------------------------
 //  CADRE ETABLISSEMENT
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_etab [0][0] = 0 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_etab [1][0] = $marge_gauche ; // Debut cadre X 
 $cadre_etab [1][1] = $cadre_periode [1][3]-0.05 ; // Debut cadre Y $hauteur-$marge_haut-0.6 ; // Debut cadre Y
 $cadre_etab [1][2] = $cadre_etab [1][0]+8.114 ; // Fin cadre X 
 $cadre_etab [1][3] = $cadre_etab [1][1]-6.25 ; // Fin cadre Y
 // Nom
 $cadre_etab [2][0] = $cadre_etab [1][0]+0.05 ; // Debut NOM X
 $cadre_etab [2][1] = $cadre_etab [1][1] ; // Debut NOM Y
 $cadre_etab [2][2] = "Helvetica-Bold" ; // Police NOM
 $cadre_etab [2][3] = "12" ; //  Taille NOM
 $cadre_etab [2][4] = 0 ; // Couleur rouge
 $cadre_etab [2][5] = 0 ; // Couleur verte
 $cadre_etab [2][6] = 0 ; // Couleur bleu
 $cadre_etab [2][8] = $cadre_etab [1][2] ; // Fin NOM X
 $cadre_etab [2][9] = $cadre_etab [2][1]-1 ; // Fin NOM Y
 // Adresse
 $cadre_etab [3][0] = $cadre_etab [1][0]+0.05 ; // Debut ADRESSE X
 $cadre_etab [3][1] = $cadre_etab [2][9]-0.5 ; // Debut ADRESSE Y
 $cadre_etab [3][2] = "Helvetica" ; // Police ADRESSE
 $cadre_etab [3][3] = "10" ; //  Taille ADRESSE
 $cadre_etab [3][4] = 0 ; // Couleur rouge
 $cadre_etab [3][5] = 0 ; // Couleur verte
 $cadre_etab [3][6] = 0 ; // Couleur bleu
 // CP+Ville
 $cadre_etab [4][0] = $cadre_etab [1][0]+0.05 ; // Debut CP+VILLE X
 $cadre_etab [4][1] = $cadre_etab [3][1]-0.5 ; // Debut CP+VILLE Y
 $cadre_etab [4][2] = "Helvetica" ; // Police CP+VILLE
 $cadre_etab [4][3] = "10" ; //  Taille CP+VILLE
 $cadre_etab [4][4] = 0 ; // Couleur rouge
 $cadre_etab [4][5] = 0 ; // Couleur verte
 $cadre_etab [4][6] = 0 ; // Couleur bleu
 // Telephone
 $cadre_etab [5][0] = $cadre_etab [1][0]+0.05 ; // Debut TELEPHONE X
 $cadre_etab [5][1] = $cadre_etab [4][1]-1 ; // Debut TELEPHONE Y
 $cadre_etab [5][2] = "Helvetica-Bold" ; // Police TELEPHONE
 $cadre_etab [5][3] = "10" ; //  Taille TELEPHONE
 $cadre_etab [5][4] = 0 ; // Couleur rouge
 $cadre_etab [5][5] = 0 ; // Couleur verte
 $cadre_etab [5][6] = 0 ; // Couleur bleu
 // Fax
 $cadre_etab [6][0] = $cadre_etab [1][0]+0.05 ; // Debut FAX X
 $cadre_etab [6][1] = $cadre_etab [5][1]-0.5 ; // Debut FAX Y
 $cadre_etab [6][2] = "Helvetica-Bold" ; // Police FAX
 $cadre_etab [6][3] = "10" ; //  Taille FAX
 $cadre_etab [6][4] = 0 ; // Couleur rouge
 $cadre_etab [6][5] = 0 ; // Couleur verte
 $cadre_etab [6][6] = 0 ; // Couleur bleu
 // Mel
 $cadre_etab [7][0] = $cadre_etab [1][0]+0.05 ; // Debut MEL X
 $cadre_etab [7][1] = $cadre_etab [6][1]-0.5 ; // Debut MEL Y
 $cadre_etab [7][2] = "Helvetica-Bold" ; // Police MEL
 $cadre_etab [7][3] = "10" ; //  Taille MEL
 $cadre_etab [7][4] = 0 ; // Couleur rouge
 $cadre_etab [7][5] = 0 ; // Couleur verte
 $cadre_etab [7][6] = 0 ; // Couleur bleu
 
 // ------------------------------------------------------------------------
 //  CADRE ELEVE
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_eleve [0][0] = 0 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_eleve [1][0] = $cadre_etab [1][2]+0.1 ; // Debut cadre X 
 $cadre_eleve [1][1] = $cadre_periode [1][3]-0.05 ; // Debut cadre Y
 $cadre_eleve [1][2] = $largeur-$marge_droite ; // Fin cadre X 
 $cadre_eleve [1][3] = $cadre_eleve [1][1]-2.65 ; // Fin cadre Y
 $cadre_etab [2][7] = Floor (($cadre_etab [1][2]-$cadre_eleve [1][0]-0.1)*$echelle_x/6) ; // Nombre caracteres
 $cadre_eleve [1][4] = 1 ; // Largeur trace
 $cadre_eleve [1][5] = 0 ; // Couleur rouge
 $cadre_eleve [1][6] = 0 ; // Couleur verte
 $cadre_eleve [1][7] = 0 ; // Couleur bleu
 // Photo
 $cadre_eleve [2][0] = $cadre_eleve [1][2]-2 ; // Debut photo X 
 $cadre_eleve [2][1] = $cadre_eleve [1][1] ; // Debut photo Y
 $cadre_eleve [2][2] = $cadre_eleve [1][2] ; // Fin photo X 
 $cadre_eleve [2][3] = $cadre_eleve [1][3] ; // Fin photo Y
 $cadre_eleve [2][4] = $cadre_eleve [2][2]-$cadre_eleve [2][0] ; // Taille photo X
 $cadre_eleve [2][5] = $cadre_eleve [2][1]-$cadre_eleve [2][3] ; // Taille photo Y
 // Nom
 $cadre_eleve [3][0] = $cadre_eleve [1][0]+0.1 ; // Debut NOM X
 $cadre_eleve [3][1] = $cadre_eleve [1][1]-0.5 ; // Debut NOM Y
 $cadre_eleve [3][2] = "Helvetica-Bold" ; // Police NOM
 $cadre_eleve [3][3] = "12" ; //  Taille NOM
 $cadre_eleve [3][4] = 0 ; // Couleur rouge
 $cadre_eleve [3][5] = 0 ; // Couleur verte
 $cadre_eleve [3][6] = 0 ; // Couleur bleu
 $cadre_eleve [3][7] = Floor (($cadre_eleve [2][0]-$cadre_eleve [1][0]-0.2)*$echelle_x/6) ; // Nombre caracteres
 $y_el = $cadre_eleve [3][1] ;
 // Date de naissance
 $cadre_eleve [4][0] = $cadre_eleve [1][0]+1 ; // Debut DATE NAISSANCE X
 $cadre_eleve [4][1] = $y_el-0.5 ; // Debut DATE NAISSANCE Y
 If ($date_naissance_eleve == 1) { $y_el = $cadre_eleve [4][1] ; }
 $cadre_eleve [4][2] = "Helvetica" ; // Police DATE NAISSANCE
 $cadre_eleve [4][3] = "8" ; //  Taille DATE NAISSANCE
 $cadre_eleve [4][4] = 0 ; // Couleur rouge
 $cadre_eleve [4][5] = 0 ; // Couleur verte
 $cadre_eleve [4][6] = 0 ; // Couleur bleu
 // Classe
 $cadre_eleve [5][0] = $cadre_eleve [1][0]+1 ; // Debut CLASSE X
 $cadre_eleve [5][1] = $y_el-0.4 ; // Debut CLASSE Y
 If ($classe_eleve == 1) { $y_el = $cadre_eleve [5][1] ; }
 $cadre_eleve [5][2] = "Helvetica" ; // Police CLASSE
 $cadre_eleve [5][3] = "8" ; //  Taille CLASSE
 $cadre_eleve [5][4] = 0 ; // Couleur rouge
 $cadre_eleve [5][5] = 0 ; // Couleur verte
 $cadre_eleve [5][6] = 0 ; // Couleur bleu
 // Effectif
 $cadre_eleve [6][0] = $cadre_eleve [1][0]+1 ; // Debut EFFECTIF X
 $cadre_eleve [6][1] = $y_el-0.4 ; // Debut EFFECTIF Y
 If ($effectif_eleve == 1) { $y_el = $cadre_eleve [6][1] ; }
 $cadre_eleve [6][2] = "Helvetica" ; // Police EFFECTIF
 $cadre_eleve [6][3] = "8" ; //  Taille EFFECTIF
 $cadre_eleve [6][4] = 0 ; // Couleur rouge
 $cadre_eleve [6][5] = 0 ; // Couleur verte
 $cadre_eleve [6][6] = 0 ; // Couleur bleu
 // Redoublant
 $cadre_eleve [7][0] = $cadre_eleve [1][0]+1 ; // Debut REDOUBLANT X
 $cadre_eleve [7][1] = $y_el-0.4 ; // Debut REDOUBLANT Y
 If ($redoublement_eleve == 1) { $y_el = $cadre_eleve [7][1] ; }
 $cadre_eleve [7][2] = "Helvetica" ; // Police REDOUBLANT
 $cadre_eleve [7][3] = "8" ; //  Taille REDOUBLANT
 $cadre_eleve [7][4] = 0 ; // Couleur rouge
 $cadre_eleve [7][5] = 0 ; // Couleur verte
 $cadre_eleve [7][6] = 0 ; // Couleur bleu
 // INE
 $cadre_eleve [8][0] = $cadre_eleve [1][0]+1 ; // Debut INE X
 $cadre_eleve [8][1] = $y_el-0.4 ; // Debut INE Y
 If ($ine_eleve == 1) { $y_el = $cadre_eleve [8][1] ; }
 $cadre_eleve [8][2] = "Helvetica" ; // Police INE
 $cadre_eleve [8][3] = "8" ; //  Taille INE
 $cadre_eleve [8][4] = 0 ; // Couleur rouge
 $cadre_eleve [8][5] = 0 ; // Couleur verte
 $cadre_eleve [8][6] = 0 ; // Couleur bleu
  
 // ------------------------------------------------------------------------
 //  CADRE PARENTS
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_parents [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_parents [1][0] = $cadre_etab [1][2]+0.1 ; // Debut cadre X
 $cadre_parents [1][1] = $cadre_eleve [1][3]-0.05 ; // Debut cadre Y
 $cadre_parents [1][2] = $largeur-$marge_droite ; // Fin cadre X 
 $cadre_parents [1][3] = $cadre_parents [1][1]-3.4 ; // Fin cadre Y
 $cadre_etab [1][4] = $cadre_parents [1][3]-0.25 ; // Position Y de l'image
 $cadre_parents [1][4] = 1 ; // Largeur trace
 $cadre_parents [1][5] = 0 ; // Couleur rouge
 $cadre_parents [1][6] = 0 ; // Couleur verte
 $cadre_parents [1][7] = 0 ; // Couleur bleu
 // Nom
 $cadre_parents [2][0] = 10 ; // Debut NOM X
 $cadre_parents [2][1] = $cadre_parents [1][1]-1.2 ; // Debut NOM Y 24.4
 $cadre_parents [2][2] = "Helvetica-Bold" ; // Police NOM
 $cadre_parents [2][3] = "12" ; //  Taille NOM
 $cadre_parents [2][4] = 0 ; // Couleur rouge
 $cadre_parents [2][5] = 0 ; // Couleur verte
 $cadre_parents [2][6] = 0 ; // Couleur bleu
 // Adresse
 $cadre_parents [3][0] = $cadre_parents [2][0] ; // Debut ADRESSE 1 X
 $cadre_parents [3][1] = $cadre_parents [2][1]-0.5 ; // Debut ADRESSE 1 Y
 $cadre_parents [3][2] = $cadre_parents [2][0] ; // Debut ADRESSE 2 X
 $cadre_parents [3][3] = $cadre_parents [3][1]-0.5 ; // Debut ADRESSE 2 Y
 $cadre_parents [3][4] = "Helvetica" ; // Police ADRESSES
 $cadre_parents [3][5] = "12" ; //  Taille ADRESSES
 $cadre_parents [3][6] = 0 ; // Couleur rouge
 $cadre_parents [3][7] = 0 ; // Couleur verte
 $cadre_parents [3][8] = 0 ; // Couleur bleu
 // CP+Ville
 $cadre_parents [4][0] = $cadre_parents [2][0] ; // Debut CP+VILLE X
 $cadre_parents [4][1] = $cadre_parents [3][3]-0.5 ; // Debut CP+VILLE Y
 $cadre_parents [4][2] = "Helvetica" ; // Police CP+VILLE
 $cadre_parents [4][3] = "12" ; //  Taille CP+VILLE
 $cadre_parents [4][4] = 0 ; // Couleur rouge
 $cadre_parents [4][5] = 0 ; // Couleur verte
 $cadre_parents [4][6] = 0 ; // Couleur bleu
 
 // ------------------------------------------------------------------------
 // GROUPEMENT DE DISCIPLINES
 // ------------------------------------------------------------------------
 $cadre_groupement [0][0]  = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 $cadre_groupement [0][1]  = 1 ; // Fond : 0=Sans fond,1=Grisee
 $cadre_groupement [0][2]  = 1 ; // Centrage : 1=gauche,2=droite,3=milieu
 // Cadre
 $cadre_groupement [1][0] = $marge_gauche ; // Debut cadre X
 $cadre_groupement [1][1] = $largeur-$marge_droite ; // Fin cadre X
 // Couleurs
 $cadre_groupement [2][0] = 1 ; // Largeur trace
 $cadre_groupement [2][1] = 0 ; // Couleur rouge trace
 $cadre_groupement [2][2] = 0 ; // Couleur verte trace
 $cadre_groupement [2][3] = 0 ; // Couleur bleu trace
 $cadre_groupement [2][4] = 0.9 ; // Couleur rouge Fond
 $cadre_groupement [2][5] = 0.9 ; // Couleur verte Fond
 $cadre_groupement [2][6] = 0.9 ; // Couleur bleu Fond
 // Def texte Matieres/Professeurs
 $cadre_groupement [3][0] = "Helvetica-Bold" ; // Police
 $cadre_groupement [3][1] = "8" ; //  Taille
 $cadre_groupement [1][2] = 8/$echelle_y+0.3 ; // Hauteur
 // Marges entre les groupements
 $cadre_groupement [4][0] = 0.1 ; // Marge verticale (en cm)
 
 // ------------------------------------------------------------------------
 //  CADRE ENTETE MATIERES
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_mat [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // 4-5-6-7
 $cadre_mat [0][1] = 4 ; // Premiere partie : Matieres/Professeurs
 $cadre_mat [0][2] = 5 ; // Deuxieme partie : Moyenne eleve
 $cadre_mat [0][3] = 6 ; // Troisieme partie : Moy/Min/Max classe
 $cadre_mat [0][4] = 7 ; // Quatrieme partie (et derniere) : Appreciations
 // Cadre
 $cadre_mat [1][0] = $marge_gauche ; // Debut cadre X
 $cadre_mat [1][1] = $largeur-$marge_droite ; // Fin cadre X
 $cadre_mat [1][2] = 0.7 ; // hauteur entete matiere
 $cadre_mat [1][3] = 0.95 ; // hauteur matiere (1.3)
 // Largeur Matieres/Professeurs
 $cadre_mat [1][4] = 5.5 ;
 // Largeur Moyenne eleve
 $cadre_mat [1][5] = 1 ;
 // Largeur Moy/Min/Max classe
 $cadre_mat [1][6] = 0.8 ;
 // Largeur Appreciations/Professeur pincipal
 $cadre_mat [1][7] = $cadre_mat [1][1]-$cadre_mat [1][0]-$cadre_mat [1][4]-$cadre_mat [1][5]-3*$cadre_mat [1][6] ;
 $cadre_mat [1][8] = Floor (($cadre_mat [1][7]-0.1)*$echelle_x/6) ; // Nombre caracteres
 // Hauteur notes examens blanc
 $cadre_mat [1][9] = 0.3 ; // Hauteur en plus
 // Couleurs
 $cadre_mat [2][0] = 1 ; // Largeur trace
 $cadre_mat [2][1] = 0 ; // Couleur rouge
 $cadre_mat [2][2] = 0 ; // Couleur verte
 $cadre_mat [2][3] = 0 ; // Couleur bleu
 // Def texte Matieres/Professeurs
  // Entete
 $cadre_mat [3][0] = "Helvetica-Bold" ; // Police Matiere
 $cadre_mat [3][1] = "8" ; //  Taille
 $cadre_mat [3][2] = "Helvetica-Oblique" ; // Police Prof
 $cadre_mat [3][3] = "8" ; //  Taille
  // Matiere
 $cadre_mat [3][4] = "Helvetica-Bold" ; // Police Matiere
 $cadre_mat [3][5] = "7" ; //  Taille
 $cadre_mat [3][6] = "Helvetica-Oblique" ; // Police Prof
 $cadre_mat [3][7] = "8" ; //  Taille
 // Def texte Moyenne eleve
  // Entete
 $cadre_mat [4][0] = "Helvetica" ; // Police
 $cadre_mat [4][1] = "8" ; //  Taille
  // Matiere
 $cadre_mat [4][2] = "Helvetica-Bold" ; // Police
 $cadre_mat [4][3] = "8" ; //  Taille
 // Def texte Moy/Min/Max Classe
  // Entete
 $cadre_mat [5][0] = "Helvetica" ; // Police
 $cadre_mat [5][1] = "8" ; //  Taille
  // Matiere
 $cadre_mat [5][2] = "Helvetica" ; // Police
 $cadre_mat [5][3] = "7" ; //  Taille
 // Def texte Appreciations/Professeur pincipal
  // Entete
 $cadre_mat [6][0] = "Helvetica-Bold" ; // Police Appreciations
 $cadre_mat [6][1] = "8" ; //  Taille
 $cadre_mat [6][2] = "Helvetica" ; // Police Prof principal
 $cadre_mat [6][3] = "8" ; //  Taille
  // Matiere
 $cadre_mat [6][4] = "Helvetica" ; // Police Appreciations
 $cadre_mat [6][5] = "8" ; //  Taille
  // Examen blanc
 $cadre_mat [6][6] = "Helvetica" ; // Police Notes Examen blanc
 $cadre_mat [6][7] = "8" ; //  Taille
 
 // ------------------------------------------------------------------------
 //  CADRE MOYENNE GENERAL
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_moy_gen [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 If (($cadre_mat [0][2] == 5) And ($cadre_mat [0][3] == 6))
  {
   // Largeur Moyenne periodique/Moyenne coefficientee
   $cadre_moy_gen [1][4] = $cadre_mat [1][4] ;
   // Largeur Moyenne eleve
   $cadre_moy_gen [1][5] = $cadre_mat [1][5] ;
   // Largeur Moy/Min/Max classe
   $cadre_moy_gen [1][6] = $cadre_mat [1][6] ;
   // Cadre
   $cadre_moy_gen [1][0] = $marge_gauche ; // Debut cadre X
   $cadre_moy_gen [1][1] = $marge_gauche+$cadre_moy_gen [1][4]+3*$cadre_moy_gen [1][6]+$cadre_moy_gen [1][5] ; // Fin cadre X
   $cadre_moy_gen [1][2] = 0.70 ; // Hauteur moyenne non coefficientee
   $cadre_moy_gen [1][3] = 0.35 ; // Hauteur moyenne coefficientee
  }
 Else
  {
   // Largeur Moyenne periodique/Moyenne coefficientee
   $cadre_moy_gen [1][4] = 4.5 ;
   // Largeur Moyenne eleve
   $cadre_moy_gen [1][5] = $cadre_mat [1][5] ;
   // Largeur Moy/Min/Max classe
   $cadre_moy_gen [1][6] = $cadre_mat [1][6] ;
   // Cadre
   $cadre_moy_gen [1][0] = $largeur-$marge_droite-$cadre_moy_gen [1][4]-$cadre_moy_gen [1][5]-3*$cadre_moy_gen [1][6] ; // Debut cadre X
   $cadre_moy_gen [1][1] = $largeur-$marge_droite ; // Fin cadre X
   $cadre_moy_gen [1][2] = 0.70 ; // Hauteur moyenne non coefficientee
   $cadre_moy_gen [1][3] = 0.35 ; // Hauteur moyenne coefficientee
  }
 // Couleurs
 $cadre_moy_gen [2][0] = 1 ; // Largeur trace
 $cadre_moy_gen [2][1] = 0 ; // Couleur rouge
 $cadre_moy_gen [2][2] = 0 ; // Couleur verte
 $cadre_moy_gen [2][3] = 0 ; // Couleur bleu
 // Def texte Moyenne periodique/Moyenne coefficientee
 $cadre_moy_gen [3][0] = "Helvetica" ; // Police Moyennes
 $cadre_moy_gen [3][1] = "8" ; //  Taille
 $cadre_moy_gen [3][2] = "Helvetica" ; // Police Coefficientee
 $cadre_moy_gen [3][3] = "8" ; //  Taille
 // Def texte Moyenne eleve
 $cadre_moy_gen [4][0] = "Helvetica-Bold" ; // Police
 $cadre_moy_gen [4][1] = "7" ; //  Taille
 // Def texte Moy/Min/Max Classe
 $cadre_moy_gen [5][0] = "Helvetica" ; // Police
 $cadre_moy_gen [5][1] = "7" ; //  Taille
 
 // ------------------------------------------------------------------------
 //  CADRE VIE SCOLAIRE/CPE
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_cpe [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_cpe [1][0] = $marge_gauche ; // Debut cadre X
 $cadre_cpe [1][1] = $largeur-$marge_droite ; // Fin cadre X
 $cadre_cpe [1][2] = 1 ; // Hauteur CPE
 // Couleurs
 $cadre_cpe [2][0] = 1 ; // Largeur trace
 $cadre_cpe [2][1] = 0 ; // Couleur rouge
 $cadre_cpe [2][2] = 0 ; // Couleur verte
 $cadre_cpe [2][3] = 0 ; // Couleur bleu
 $cadre_cpe [2][4] = "Helvetica-Bold" ; // Police Vie Scolaire
 $cadre_cpe [2][5] = "8" ; //  Taille
 $cadre_cpe [2][6] = "Helvetica" ; // Police Texte vie scolaire
 $cadre_cpe [2][7] = "8" ; //  Taille
 $cadre_cpe [2][8] = "Helvetica" ; // Police Ligne retards...
 $cadre_cpe [2][9] = "8" ; //  Taille
 $cadre_cpe [2][10] = "Helvetica-Bold" ; // Police Observation
 $cadre_cpe [2][11] = "8" ; //  Taille
 $cadre_cpe [2][12] = "Helvetica" ; // Police Texte observation
 $cadre_cpe [2][13] = "8" ; //  Taille
 
 // ------------------------------------------------------------------------
 //  CADRE EQUIPE PEDAGOGIQUE
 // ------------------------------------------------------------------------
 // Parametres
 $cadre_equipe_peda [0][0] = 1 ; // Trace du cadre ? (0 : Non ; >0 : Oui)
 // Cadre
 $cadre_equipe_peda [1][0] = $marge_gauche ; // Debut cadre X
 $cadre_equipe_peda [1][1] = $largeur-$marge_droite ; // Fin cadre X
 $cadre_equipe_peda [1][2] = 2.5 ; // Hauteur equipe peda
 // Couleurs
 $cadre_equipe_peda [2][0] = 1 ; // Largeur trace
 $cadre_equipe_peda [2][1] = 0 ; // Couleur rouge
 $cadre_equipe_peda [2][2] = 0 ; // Couleur verte
 $cadre_equipe_peda [2][3] = 0 ; // Couleur bleu
 $cadre_equipe_peda [2][4] = "Helvetica-Bold" ; // Police Appreciation equipe peda
 $cadre_equipe_peda [2][5] = "8" ; //  Taille
 $cadre_equipe_peda [2][6] = "Helvetica" ; // Police signature
 $cadre_equipe_peda [2][7] = "8" ; //  Taille
 $cadre_equipe_peda [2][8] = "Helvetica" ; // Police Cases a cocher
 $cadre_equipe_peda [2][9] = "7" ; //  Taille
 
 // ------------------------------------------------------------------------
 //  BAS DE PAGE
 // ------------------------------------------------------------------------
 // Bas de cadre
 $cadre_bas_page [1][0] = $marge_gauche ; // Debut bas X
 $cadre_bas_page [1][1] = $largeur-$marge_droite ; // Fin bas X
 $cadre_bas_page [1][2] = 0.2 ; // Hauteur bas de page
 // Couleurs
 $cadre_bas_page [2][0] = 1 ; // Largeur trace
 $cadre_bas_page [2][1] = 0 ; // Couleur rouge
 $cadre_bas_page [2][2] = 0 ; // Couleur verte
 $cadre_bas_page [2][3] = 0 ; // Couleur bleu
 $cadre_bas_page [2][4] = "Helvetica" ; // Police Texte gauche
 $cadre_bas_page [2][5] = "6" ; //  Taille
 $cadre_bas_page [2][6] = "Helvetica" ; // Police Copyright droite
 $cadre_bas_page [2][7] = "6" ; //  Taille
 $cadre_bas_page [2][8] = "Helvetica" ; // Police numero page
 $cadre_bas_page [2][9] = "6" ; //  Taille
?>